;list of internal FASMLIB procedures and data
;needed for .lib and .a format

;conv
fasmlib_proc extconv.dec2d_size, <'extconv'#DOT#'dec2d_size'>, 16
fasmlib_proc extconv.dec2id_size, <'extconv'#DOT#'dec2id_size'>, 20
fasmlib_proc extconv.hex2d_size, <'extconv'#DOT#'hex2d_size'>, 16
fasmlib_proc extconv.hex2id_size, <'extconv'#DOT#'hex2id_size'>, 20
fasmlib_data conv.hextable, <'conv'#DOT#'hextable'>

;mem
fasmlib_data mem.initialized, <'mem'#DOT#'initialized'>, dword
fasmlib_data mem.heap, <'mem'#DOT#'heap'>, dword
fasmlib_data mem.alloc_count, <'mem'#DOT#'alloc_count'>, dword

;text
fasmlib_data text.blank_chars, <'text'#DOT#'blank_chars'>
fasmlib_data text.eol_chars, <'text'#DOT#'eol_chars'>
fasmlib_proc text.extread.dec2d_size, <'text'#DOT#'extread'#DOT#'dec2d_size'>, 20
fasmlib_proc text.extread.dec2id_size, <'text'#DOT#'extread'#DOT#'dec2id_size'>, 24
fasmlib_proc text.extread.hex2d_size, <'text'#DOT#'extread'#DOT#'hex2d_size'>, 20
fasmlib_proc text.extread.hex2id_size, <'text'#DOT#'extread'#DOT#'hex2id_size'>, 24

;default stream methods
fasmlib_proc stream._def_read,	<'stream'#DOT#'_def_read'>,  16
fasmlib_proc stream._def_peek,	<'stream'#DOT#'_def_peek'>,  16

;stdstream
fasmlib_data stdstream.initialized, <'stdstream'#DOT#'initialized'>, dword

;fstream
fasmlib_data fstream._vtab, <'fstream'#DOT#'_vtab'>
fasmlib_proc fstream._read, <'fstream'#DOT#'_read'>, 12
fasmlib_proc fstream._write, <'fstream'#DOT#'_write'>, 12
fasmlib_proc fstream._peek, <'fstream'#DOT#'_peek'>, 12
fasmlib_proc fstream._seek, <'fstream'#DOT#'_seek'>, 16
fasmlib_proc fstream._tell, <'fstream'#DOT#'_tell'>, 4
fasmlib_proc fstream._close, <'fstream'#DOT#'_close'>, 4
fasmlib_proc fstream._readbuf, <'fstream'#DOT#'_readbuf'>, 12

;mstream
fasmlib_data mstream._vtab, <'mstream'#DOT#'_vtab'>
fasmlib_proc mstream._read, <'mstream'#DOT#'_read'>, 12
fasmlib_proc mstream._write, <'mstream'#DOT#'_write'>, 12
fasmlib_proc mstream._peek, <'mstream'#DOT#'_peek'>, 12
fasmlib_proc mstream._seek, <'mstream'#DOT#'_seek'>, 16
fasmlib_proc mstream._skip, <'mstream'#DOT#'_skip'>, 8
fasmlib_proc mstream._tell, <'mstream'#DOT#'_tell'>, 4