;FASM source to generate VIM syntax script from FASMLIB sources
;result from compiling this file is the vim syntax script


;FASMLIB macros
db '" this file contains FASMLIB keywords to be used with VIM highlighting',10
db 10
db 10
db 'syn keyword fasmlibMacro libcall ifndef idata udata IncludeIData IncludeUData',10
db 'syn keyword fasmlibMacro disphex disphexb gettimedate proc local',10
db 'syn keyword fasmlibMacro __pass_error __preprocess_error __assembly_error',10
db 'syn keyword fasmlibOperator addr taken untaken',10
db 'syn keyword fasmlibSymbol FASMLIB_VERSION_STRING FASMLIB_VERSION_MAJOR',10
db 'syn keyword fasmlibSymbol FASMLIB_VERSION_MINOR FASMLIB_VERSION_REVISION',10

;FASMLIB error codes
macro errtable [errname,x]
{
  db 'syn keyword fasmlibSymbol ',`errname,10
}
include '%FASMLIB%/src/err/table.inc'



;FASMLIB procedures and data
macro fasmlib_proc name*, x, y {
  db 'syn keyword fasmlibProc ',`name,10
}
macro fasmlib_data name*, x, y {
  db 'syn keyword fasmlibData ',`name,10
}
include '%FASMLIB%/bin/public.inc'