;; @name process.exit
;; @desc exits application
;; @arg code
;;    System exit code.
;;    0 usually means everything okay, and higher codes means error.
;;    Use ascending values (1,2,3...), not -1, because bitwidth of exit code
;;    is less than 32bits on some systems.
;; @ret
;;    Well... in theory CF is set on error, otherwise it doesn't return. Don't mind...
proc process.exit code

	push	ecx edx ;)

	push	[code]
	call	[ExitProcess]

	;ahem...
	mov	eax, ERR_UNKNOWN
	stc
	pop	edx ecx
	ret
endp