;FASMLIB
;file I/O stream procedures

;FSTREAM object interface
include 'fstream/_interface.inc'

;FSTREAM object implementation
include 'fstream/_vtab.inc'
include 'fstream/_read.inc'
include 'fstream/_peek.inc'
include 'fstream/_write.inc'
include 'fstream/_seek.inc'
include 'fstream/_tell.inc'
include 'fstream/_close.inc'

;procs
include 'fstream/open.inc'
include 'fstream/extopen.inc'
include 'fstream/create.inc'
include 'fstream/extcreate.inc'
include 'fstream/append.inc'
include 'fstream/extappend.inc'
include 'fstream/open_handle.inc'
include 'fstream/extopen_handle.inc'
include 'fstream/size.inc'

;aliases
include 'fstream/read.inc'
include 'fstream/read_byte.inc'
include 'fstream/peek.inc'
include 'fstream/peek_byte.inc'
include 'fstream/write.inc'
include 'fstream/write_byte.inc'
include 'fstream/write_word.inc'
include 'fstream/write_dword.inc'
include 'fstream/seek.inc'
include 'fstream/tell.inc'
include 'fstream/close.inc'
