;FSTREAM object interface

struc FSTREAM
{
  . STREAM fstream._vtab
  .handle dd ?	;handle of file for fileio module
  .mode   dd ?	;access mode, 0=read,1=write,2=read/write
  .closeh db ?	;1=close handle when stream closes
  align 4
}

if used fstream._vtab | INCLUDE_ALL_DATA eq 1
virtual at 0
  FSTREAM FSTREAM
  sizeof.FSTREAM = $
  match =1, DISPLAY_STRUC_INFO {
    disp 'size of FSTREAM object: ', dec sizeof.FSTREAM, ' (0x', hex sizeof.FSTREAM, ')'
  }
end virtual
end if

;default write buffer for simplified procs
ifndef FSTREAM_WRITE_BUFFER
  FSTREAM_WRITE_BUFFER equ 1 ;dynamic buffer
end if
ifndef FSTREAM_WRITE_BUFFER_SIZE
  FSTREAM_WRITE_BUFFER_SIZE equ 200h ;512
end if

;default read buffer for simplified procs
ifndef FSTREAM_READ_BUFFER
  FSTREAM_READ_BUFFER equ 1 ;dynamic buffer
end if
ifndef FSTREAM_READ_BUFFER_SIZE
  FSTREAM_READ_BUFFER_SIZE equ 200h ;512
end if