; this file tests if MASM include contains all procedures
; listed in "bin/public.inc"
; (include files need to be preparsed for this, see test.bat)

struc PROTO [arg]
{
common
  .#_proc equ 1
  .#_argc = 0
  if ~ <arg> eq <>
forward
  .#_argc = .#_argc + 4
  match a:=QWORD, arg \{
    .#_argc = .#_argc + 4
  \}
common
  end if
}

macro EXTERNDEF name, [x]
{
common
  match xx:yy, name \{
    xx\#_data equ 1
    else equ 0
  \}
  match =1, else \{
    display 13,10,'ERROR: problem parsing EXTERNDEF ',13,10,13,10
    __error
  \}
}

include 'masm-include.inc'

macro fasmlib_proc name,strname,count
{
common
  if ~ name#_proc eq 1
    display 13,10,'ERROR: procedure ',strname,' not defined in MASM header',13,10,13,10
    __error
  end if
  if name#_argc <> count
    display 13,10,'ERROR: bad parameter count for ',strname,13,10,13,10
    __error
  end if
}

macro fasmlib_data name,strname,[x]
{
common
  if ~ name#_data eq 1
    display 13,10,'ERROR: data "',`name, '" is not defined',13,10,13,10
    __error
  end if
}
DOT fix '.'

include 'fasm-include.inc'