;list of public FASMLIB procedures and data

;fasmlib
fasmlib_proc fasmlib.init     ,<'fasmlib'#DOT#'init'>	  ,0
fasmlib_proc fasmlib.uninit   ,<'fasmlib'#DOT#'uninit'>   ,0
fasmlib_proc fasmlib.shutdown ,<'fasmlib'#DOT#'shutdown'> ,0
fasmlib_proc err.text	      ,<'err'#DOT#'text'>     ,4

;process
fasmlib_proc process.exit     ,<'process'#DOT#'exit'> ,4

;fileio
fasmlib_proc fileio.open      ,<'fileio'#DOT#'open'>  ,8
fasmlib_proc fileio.create    ,<'fileio'#DOT#'create'>,12
fasmlib_proc fileio.append    ,<'fileio'#DOT#'append'>,12
fasmlib_proc fileio.seek      ,<'fileio'#DOT#'seek'>  ,16
fasmlib_proc fileio.tell      ,<'fileio'#DOT#'tell'>  ,4
fasmlib_proc fileio.size      ,<'fileio'#DOT#'size'>  ,4
fasmlib_proc fileio.read      ,<'fileio'#DOT#'read'>  ,12
fasmlib_proc fileio.write     ,<'fileio'#DOT#'write'> ,12
fasmlib_proc fileio.close     ,<'fileio'#DOT#'close'> ,4

;mem
fasmlib_proc mem.init	      ,<'mem'#DOT#'init'>     ,0
fasmlib_proc mem.uninit       ,<'mem'#DOT#'uninit'>   ,0
fasmlib_proc mem.alloc	      ,<'mem'#DOT#'alloc'>    ,4
fasmlib_proc mem.alloc0       ,<'mem'#DOT#'alloc0'>   ,4
fasmlib_proc mem.free	      ,<'mem'#DOT#'free'>     ,4
fasmlib_proc mem.realloc      ,<'mem'#DOT#'realloc'>  ,8
fasmlib_proc mem.realloc0     ,<'mem'#DOT#'realloc0'> ,8
fasmlib_proc mem.size	      ,<'mem'#DOT#'size'>     ,4
fasmlib_proc mem.fill	      ,<'mem'#DOT#'fill'>     ,12
fasmlib_proc mem.copy	      ,<'mem'#DOT#'copy'>     ,12
fasmlib_proc mem.cmp	      ,<'mem'#DOT#'cmp'>      ,12
fasmlib_proc mem.find	      ,<'mem'#DOT#'find'>     ,16
fasmlib_proc mem.findb	      ,<'mem'#DOT#'findb'>    ,12

;str
fasmlib_proc str.copy	      ,<'str'#DOT#'copy'>    ,16
fasmlib_proc str.cat	      ,<'str'#DOT#'cat'>     ,16
fasmlib_proc str.catchar      ,<'str'#DOT#'catchar'> ,12
fasmlib_proc str.ins	      ,<'str'#DOT#'ins'>     ,20
fasmlib_proc str.inschar      ,<'str'#DOT#'inschar'> ,16
fasmlib_proc str.sub	      ,<'str'#DOT#'sub'>     ,24
fasmlib_proc str.lowcase      ,<'str'#DOT#'lowcase'> ,8
fasmlib_proc str.upcase       ,<'str'#DOT#'upcase'>  ,8
fasmlib_proc str.len	      ,<'str'#DOT#'len'>     ,8
fasmlib_proc str.cmp	      ,<'str'#DOT#'cmp'>     ,16
fasmlib_proc str.cmpi	      ,<'str'#DOT#'cmpi'>    ,16
fasmlib_proc str.pos	      ,<'str'#DOT#'pos'>     ,16
fasmlib_proc str.poschar      ,<'str'#DOT#'poschar'> ,12

;stream
fasmlib_proc stdstream.init	,<'stdstream'#DOT#'init'>	    ,0
fasmlib_proc stdstream.uninit	,<'stdstream'#DOT#'uninit'>	    ,0
fasmlib_proc stream.create	,<'stream'#DOT#'create'>	    ,28
fasmlib_proc stream.write	,<'stream'#DOT#'write'> 	    ,12
fasmlib_proc stream.write.byte	,<'stream'#DOT#'write'#DOT#'byte'>  ,8
fasmlib_proc stream.write.word	,<'stream'#DOT#'write'#DOT#'word'>  ,8
fasmlib_proc stream.write.dword ,<'stream'#DOT#'write'#DOT#'dword'> ,8
fasmlib_proc stream.read	,<'stream'#DOT#'read'>		    ,12
fasmlib_proc stream.read.byte	,<'stream'#DOT#'read'#DOT#'byte'>   ,4
fasmlib_proc stream.peek	,<'stream'#DOT#'peek'>		    ,12
fasmlib_proc stream.peek.byte	,<'stream'#DOT#'peek'#DOT#'byte'>   ,4
fasmlib_proc stream.skip	,<'stream'#DOT#'skip'>		    ,8
fasmlib_proc stream.seek	,<'stream'#DOT#'seek'>		    ,16
fasmlib_proc stream.tell	,<'stream'#DOT#'tell'>		    ,4
fasmlib_proc stream.close	,<'stream'#DOT#'close'> 	    ,4

;std streams
fasmlib_data stdout    ,<'stdout'>
fasmlib_data stdin     ,<'stdin'>
fasmlib_data stderr    ,<'stderr'>

;conv
fasmlib_proc conv.b_hex       ,<'conv'#DOT#'b_hex'>    ,12
fasmlib_proc conv.w_hex       ,<'conv'#DOT#'w_hex'>    ,12
fasmlib_proc conv.d_hex       ,<'conv'#DOT#'d_hex'>    ,12
fasmlib_proc conv.q_hex       ,<'conv'#DOT#'q_hex'>    ,16
fasmlib_proc conv.b_dec       ,<'conv'#DOT#'b_dec'>    ,12
fasmlib_proc conv.w_dec       ,<'conv'#DOT#'w_dec'>    ,12
fasmlib_proc conv.d_dec       ,<'conv'#DOT#'d_dec'>    ,12
fasmlib_proc conv.q_dec       ,<'conv'#DOT#'q_dec'>    ,16
fasmlib_proc conv.ib_hex      ,<'conv'#DOT#'ib_hex'>   ,12
fasmlib_proc conv.iw_hex      ,<'conv'#DOT#'iw_hex'>   ,12
fasmlib_proc conv.id_hex      ,<'conv'#DOT#'id_hex'>   ,12
fasmlib_proc conv.iq_hex      ,<'conv'#DOT#'iq_hex'>   ,16
fasmlib_proc conv.ib_dec      ,<'conv'#DOT#'ib_dec'>   ,12
fasmlib_proc conv.iw_dec      ,<'conv'#DOT#'iw_dec'>   ,12
fasmlib_proc conv.id_dec      ,<'conv'#DOT#'id_dec'>   ,12
fasmlib_proc conv.iq_dec      ,<'conv'#DOT#'iq_dec'>   ,16
fasmlib_proc conv.hex_b       ,<'conv'#DOT#'hex_b'>    ,8
fasmlib_proc conv.hex_w       ,<'conv'#DOT#'hex_w'>    ,8
fasmlib_proc conv.hex_d       ,<'conv'#DOT#'hex_d'>    ,8
fasmlib_proc conv.hex_q       ,<'conv'#DOT#'hex_q'>    ,8
fasmlib_proc conv.hex_ib      ,<'conv'#DOT#'hex_ib'>   ,8
fasmlib_proc conv.hex_iw      ,<'conv'#DOT#'hex_iw'>   ,8
fasmlib_proc conv.hex_id      ,<'conv'#DOT#'hex_id'>   ,8
fasmlib_proc conv.hex_iq      ,<'conv'#DOT#'hex_iq'>   ,8
fasmlib_proc conv.dec_b       ,<'conv'#DOT#'dec_b'>    ,8
fasmlib_proc conv.dec_w       ,<'conv'#DOT#'dec_w'>    ,8
fasmlib_proc conv.dec_d       ,<'conv'#DOT#'dec_d'>    ,8
fasmlib_proc conv.dec_q       ,<'conv'#DOT#'dec_q'>    ,8
fasmlib_proc conv.dec_ib      ,<'conv'#DOT#'dec_ib'>   ,8
fasmlib_proc conv.dec_iw      ,<'conv'#DOT#'dec_iw'>   ,8
fasmlib_proc conv.dec_id      ,<'conv'#DOT#'dec_id'>   ,8
fasmlib_proc conv.dec_iq      ,<'conv'#DOT#'dec_iq'>   ,8
fasmlib_proc extconv.b_hex    ,<'extconv'#DOT#'b_hex'> ,24
fasmlib_proc extconv.w_hex    ,<'extconv'#DOT#'w_hex'> ,24
fasmlib_proc extconv.d_hex    ,<'extconv'#DOT#'d_hex'> ,24
fasmlib_proc extconv.q_hex    ,<'extconv'#DOT#'q_hex'> ,28
fasmlib_proc extconv.b_dec    ,<'extconv'#DOT#'b_dec'> ,24
fasmlib_proc extconv.w_dec    ,<'extconv'#DOT#'w_dec'> ,24
fasmlib_proc extconv.d_dec    ,<'extconv'#DOT#'d_dec'> ,24
fasmlib_proc extconv.q_dec    ,<'extconv'#DOT#'q_dec'> ,28
fasmlib_proc extconv.ib_hex   ,<'extconv'#DOT#'ib_hex'> ,28
fasmlib_proc extconv.iw_hex   ,<'extconv'#DOT#'iw_hex'> ,28
fasmlib_proc extconv.id_hex   ,<'extconv'#DOT#'id_hex'> ,28
fasmlib_proc extconv.iq_hex   ,<'extconv'#DOT#'iq_hex'> ,32
fasmlib_proc extconv.ib_dec   ,<'extconv'#DOT#'ib_dec'> ,28
fasmlib_proc extconv.iw_dec   ,<'extconv'#DOT#'iw_dec'> ,28
fasmlib_proc extconv.id_dec   ,<'extconv'#DOT#'id_dec'> ,28
fasmlib_proc extconv.iq_dec   ,<'extconv'#DOT#'iq_dec'> ,32
fasmlib_proc extconv.hex_b    ,<'extconv'#DOT#'hex_b'> ,12
fasmlib_proc extconv.hex_w    ,<'extconv'#DOT#'hex_w'> ,12
fasmlib_proc extconv.hex_d    ,<'extconv'#DOT#'hex_d'> ,12
fasmlib_proc extconv.hex_q    ,<'extconv'#DOT#'hex_q'> ,12
fasmlib_proc extconv.hex_ib   ,<'extconv'#DOT#'hex_ib'> ,16
fasmlib_proc extconv.hex_iw   ,<'extconv'#DOT#'hex_iw'> ,16
fasmlib_proc extconv.hex_id   ,<'extconv'#DOT#'hex_id'> ,16
fasmlib_proc extconv.hex_iq   ,<'extconv'#DOT#'hex_iq'> ,16
fasmlib_proc extconv.dec_b    ,<'extconv'#DOT#'dec_b'> ,12
fasmlib_proc extconv.dec_w    ,<'extconv'#DOT#'dec_w'> ,12
fasmlib_proc extconv.dec_d    ,<'extconv'#DOT#'dec_d'> ,12
fasmlib_proc extconv.dec_q    ,<'extconv'#DOT#'dec_q'> ,12
fasmlib_proc extconv.dec_ib   ,<'extconv'#DOT#'dec_ib'> ,16
fasmlib_proc extconv.dec_iw   ,<'extconv'#DOT#'dec_iw'> ,16
fasmlib_proc extconv.dec_id   ,<'extconv'#DOT#'dec_id'> ,16
fasmlib_proc extconv.dec_iq   ,<'extconv'#DOT#'dec_iq'> ,16

;text
fasmlib_proc text.write        ,<'text'#DOT#'write'>	   ,8
fasmlib_proc text.write.char   ,<'text'#DOT#'write'#DOT#'char'>  ,8
fasmlib_proc text.write.str    ,<'text'#DOT#'write'#DOT#'str'>	 ,12
fasmlib_proc text.write.format ,<'text'#DOT#'write'#DOT#'format'>,8
fasmlib_proc text.write.hex    ,<'text'#DOT#'write'#DOT#'hex'>	 ,8
fasmlib_proc text.write.b_hex  ,<'text'#DOT#'write'#DOT#'b_hex'> ,8
fasmlib_proc text.write.w_hex  ,<'text'#DOT#'write'#DOT#'w_hex'> ,8
fasmlib_proc text.write.d_hex  ,<'text'#DOT#'write'#DOT#'d_hex'> ,8
fasmlib_proc text.write.q_hex  ,<'text'#DOT#'write'#DOT#'q_hex'> ,12
fasmlib_proc text.write.dec    ,<'text'#DOT#'write'#DOT#'dec'>	 ,8
fasmlib_proc text.write.b_dec  ,<'text'#DOT#'write'#DOT#'b_dec'> ,8
fasmlib_proc text.write.w_dec  ,<'text'#DOT#'write'#DOT#'w_dec'> ,8
fasmlib_proc text.write.d_dec  ,<'text'#DOT#'write'#DOT#'d_dec'> ,8
fasmlib_proc text.write.q_dec  ,<'text'#DOT#'write'#DOT#'q_dec'> ,12
fasmlib_proc text.write.ihex   ,<'text'#DOT#'write'#DOT#'ihex'>  ,8
fasmlib_proc text.write.ib_hex ,<'text'#DOT#'write'#DOT#'ib_hex'> ,8
fasmlib_proc text.write.iw_hex ,<'text'#DOT#'write'#DOT#'iw_hex'> ,8
fasmlib_proc text.write.id_hex ,<'text'#DOT#'write'#DOT#'id_hex'> ,8
fasmlib_proc text.write.iq_hex ,<'text'#DOT#'write'#DOT#'iq_hex'> ,12
fasmlib_proc text.write.idec   ,<'text'#DOT#'write'#DOT#'idec'>   ,8
fasmlib_proc text.write.ib_dec ,<'text'#DOT#'write'#DOT#'ib_dec'> ,8
fasmlib_proc text.write.iw_dec ,<'text'#DOT#'write'#DOT#'iw_dec'> ,8
fasmlib_proc text.write.id_dec ,<'text'#DOT#'write'#DOT#'id_dec'> ,8
fasmlib_proc text.write.iq_dec ,<'text'#DOT#'write'#DOT#'iq_dec'> ,12
fasmlib_proc text.read.char    ,<'text'#DOT#'read'#DOT#'char'>	 ,4
fasmlib_proc text.read.chars   ,<'text'#DOT#'read'#DOT#'chars'>  ,16
fasmlib_proc text.read.until   ,<'text'#DOT#'read'#DOT#'until'>  ,16
fasmlib_proc text.read.line    ,<'text'#DOT#'read'#DOT#'line'>	 ,12
fasmlib_proc text.read.hex     ,<'text'#DOT#'read'#DOT#'hex'>	 ,4
fasmlib_proc text.read.hex_b   ,<'text'#DOT#'read'#DOT#'hex_b'>  ,4
fasmlib_proc text.read.hex_w   ,<'text'#DOT#'read'#DOT#'hex_w'>  ,4
fasmlib_proc text.read.hex_d   ,<'text'#DOT#'read'#DOT#'hex_d'>  ,4
fasmlib_proc text.read.hex_q   ,<'text'#DOT#'read'#DOT#'hex_q'>  ,4
fasmlib_proc text.read.ihex    ,<'text'#DOT#'read'#DOT#'ihex'>	 ,4
fasmlib_proc text.read.hex_ib  ,<'text'#DOT#'read'#DOT#'hex_ib'> ,4
fasmlib_proc text.read.hex_iw  ,<'text'#DOT#'read'#DOT#'hex_iw'> ,4
fasmlib_proc text.read.hex_id  ,<'text'#DOT#'read'#DOT#'hex_id'> ,4
fasmlib_proc text.read.hex_iq  ,<'text'#DOT#'read'#DOT#'hex_iq'> ,4
fasmlib_proc text.read.dec     ,<'text'#DOT#'read'#DOT#'dec'>	 ,4
fasmlib_proc text.read.dec_b   ,<'text'#DOT#'read'#DOT#'dec_b'>  ,4
fasmlib_proc text.read.dec_w   ,<'text'#DOT#'read'#DOT#'dec_w'>  ,4
fasmlib_proc text.read.dec_d   ,<'text'#DOT#'read'#DOT#'dec_d'>  ,4
fasmlib_proc text.read.dec_q   ,<'text'#DOT#'read'#DOT#'dec_q'>  ,4
fasmlib_proc text.read.idec    ,<'text'#DOT#'read'#DOT#'idec'>	 ,4
fasmlib_proc text.read.dec_ib  ,<'text'#DOT#'read'#DOT#'dec_ib'> ,4
fasmlib_proc text.read.dec_iw  ,<'text'#DOT#'read'#DOT#'dec_iw'> ,4
fasmlib_proc text.read.dec_id  ,<'text'#DOT#'read'#DOT#'dec_id'> ,4
fasmlib_proc text.read.dec_iq  ,<'text'#DOT#'read'#DOT#'dec_iq'> ,4
fasmlib_proc text.fetch        ,<'text'#DOT#'fetch'>		 ,8
fasmlib_proc text.fetch.str    ,<'text'#DOT#'fetch'#DOT#'str'>	 ,12
fasmlib_proc text.fetch.char   ,<'text'#DOT#'fetch'#DOT#'char'>  ,8
fasmlib_proc text.skip.chars   ,<'text'#DOT#'skip'#DOT#'chars'>  ,8
fasmlib_proc text.skip.until   ,<'text'#DOT#'skip'#DOT#'until'>  ,8
fasmlib_proc text.extwrite.hex	 ,<'text'#DOT#'extwrite'#DOT#'hex'>   ,16
fasmlib_proc text.extwrite.b_hex ,<'text'#DOT#'extwrite'#DOT#'b_hex'> ,16
fasmlib_proc text.extwrite.w_hex ,<'text'#DOT#'extwrite'#DOT#'w_hex'> ,16
fasmlib_proc text.extwrite.d_hex ,<'text'#DOT#'extwrite'#DOT#'d_hex'> ,16
fasmlib_proc text.extwrite.q_hex ,<'text'#DOT#'extwrite'#DOT#'q_hex'> ,20
fasmlib_proc text.extwrite.dec	 ,<'text'#DOT#'extwrite'#DOT#'dec'>   ,16
fasmlib_proc text.extwrite.b_dec ,<'text'#DOT#'extwrite'#DOT#'b_dec'> ,16
fasmlib_proc text.extwrite.w_dec ,<'text'#DOT#'extwrite'#DOT#'w_dec'> ,16
fasmlib_proc text.extwrite.d_dec ,<'text'#DOT#'extwrite'#DOT#'d_dec'> ,16
fasmlib_proc text.extwrite.q_dec ,<'text'#DOT#'extwrite'#DOT#'q_dec'> ,20
fasmlib_proc text.extwrite.ihex   ,<'text'#DOT#'extwrite'#DOT#'ihex'>	,20
fasmlib_proc text.extwrite.ib_hex ,<'text'#DOT#'extwrite'#DOT#'ib_hex'> ,20
fasmlib_proc text.extwrite.iw_hex ,<'text'#DOT#'extwrite'#DOT#'iw_hex'> ,20
fasmlib_proc text.extwrite.id_hex ,<'text'#DOT#'extwrite'#DOT#'id_hex'> ,20
fasmlib_proc text.extwrite.iq_hex ,<'text'#DOT#'extwrite'#DOT#'iq_hex'> ,24
fasmlib_proc text.extwrite.idec   ,<'text'#DOT#'extwrite'#DOT#'idec'>	,20
fasmlib_proc text.extwrite.ib_dec ,<'text'#DOT#'extwrite'#DOT#'ib_dec'> ,20
fasmlib_proc text.extwrite.iw_dec ,<'text'#DOT#'extwrite'#DOT#'iw_dec'> ,20
fasmlib_proc text.extwrite.id_dec ,<'text'#DOT#'extwrite'#DOT#'id_dec'> ,20
fasmlib_proc text.extwrite.iq_dec ,<'text'#DOT#'extwrite'#DOT#'iq_dec'> ,24
fasmlib_proc text.extread.chars  ,<'text'#DOT#'extread'#DOT#'chars'>  ,24
fasmlib_proc text.extread.until  ,<'text'#DOT#'extread'#DOT#'until'>  ,24
fasmlib_proc text.extread.line	 ,<'text'#DOT#'extread'#DOT#'line'>   ,20
fasmlib_proc text.extread.hex	 ,<'text'#DOT#'extread'#DOT#'hex'>    ,16
fasmlib_proc text.extread.hex_b  ,<'text'#DOT#'extread'#DOT#'hex_b'>  ,16
fasmlib_proc text.extread.hex_w  ,<'text'#DOT#'extread'#DOT#'hex_w'>  ,16
fasmlib_proc text.extread.hex_d  ,<'text'#DOT#'extread'#DOT#'hex_d'>  ,16
fasmlib_proc text.extread.hex_q  ,<'text'#DOT#'extread'#DOT#'hex_q'>  ,16
fasmlib_proc text.extread.ihex	 ,<'text'#DOT#'extread'#DOT#'ihex'>   ,20
fasmlib_proc text.extread.hex_ib ,<'text'#DOT#'extread'#DOT#'hex_ib'> ,20
fasmlib_proc text.extread.hex_iw ,<'text'#DOT#'extread'#DOT#'hex_iw'> ,20
fasmlib_proc text.extread.hex_id ,<'text'#DOT#'extread'#DOT#'hex_id'> ,20
fasmlib_proc text.extread.hex_iq ,<'text'#DOT#'extread'#DOT#'hex_iq'> ,20
fasmlib_proc text.extread.dec	 ,<'text'#DOT#'extread'#DOT#'dec'>    ,16
fasmlib_proc text.extread.dec_b  ,<'text'#DOT#'extread'#DOT#'dec_b'>  ,16
fasmlib_proc text.extread.dec_w  ,<'text'#DOT#'extread'#DOT#'dec_w'>  ,16
fasmlib_proc text.extread.dec_d  ,<'text'#DOT#'extread'#DOT#'dec_d'>  ,16
fasmlib_proc text.extread.dec_q  ,<'text'#DOT#'extread'#DOT#'dec_q'>  ,16
fasmlib_proc text.extread.idec	 ,<'text'#DOT#'extread'#DOT#'idec'>   ,20
fasmlib_proc text.extread.dec_ib ,<'text'#DOT#'extread'#DOT#'dec_ib'> ,20
fasmlib_proc text.extread.dec_iw ,<'text'#DOT#'extread'#DOT#'dec_iw'> ,20
fasmlib_proc text.extread.dec_id ,<'text'#DOT#'extread'#DOT#'dec_id'> ,20
fasmlib_proc text.extread.dec_iq ,<'text'#DOT#'extread'#DOT#'dec_iq'> ,20
fasmlib_proc text.extskip.chars  ,<'text'#DOT#'extskip'#DOT#'chars'>  ,12
fasmlib_proc text.extskip.until  ,<'text'#DOT#'extskip'#DOT#'until'>  ,12

;stdout
fasmlib_proc stdout.write	 ,<'stdout'#DOT#'write'>       ,4
fasmlib_proc stdout.write.char	 ,<'stdout'#DOT#'write'#DOT#'char'>  ,4
fasmlib_proc stdout.write.str	 ,<'stdout'#DOT#'write'#DOT#'str'>   ,8
fasmlib_proc stdout.write.format ,<'stdout'#DOT#'write'#DOT#'format'>,4
fasmlib_proc stdout.write.hex	 ,<'stdout'#DOT#'write'#DOT#'hex'>   ,4
fasmlib_proc stdout.write.b_hex  ,<'stdout'#DOT#'write'#DOT#'b_hex'> ,4
fasmlib_proc stdout.write.w_hex  ,<'stdout'#DOT#'write'#DOT#'w_hex'> ,4
fasmlib_proc stdout.write.d_hex  ,<'stdout'#DOT#'write'#DOT#'d_hex'> ,4
fasmlib_proc stdout.write.q_hex  ,<'stdout'#DOT#'write'#DOT#'q_hex'> ,8
fasmlib_proc stdout.write.dec	 ,<'stdout'#DOT#'write'#DOT#'dec'>   ,4
fasmlib_proc stdout.write.b_dec  ,<'stdout'#DOT#'write'#DOT#'b_dec'> ,4
fasmlib_proc stdout.write.w_dec  ,<'stdout'#DOT#'write'#DOT#'w_dec'> ,4
fasmlib_proc stdout.write.d_dec  ,<'stdout'#DOT#'write'#DOT#'d_dec'> ,4
fasmlib_proc stdout.write.q_dec  ,<'stdout'#DOT#'write'#DOT#'q_dec'> ,8
fasmlib_proc stdout.write.ihex	 ,<'stdout'#DOT#'write'#DOT#'ihex'>    ,4
fasmlib_proc stdout.write.ib_hex ,<'stdout'#DOT#'write'#DOT#'ib_hex'> ,4
fasmlib_proc stdout.write.iw_hex ,<'stdout'#DOT#'write'#DOT#'iw_hex'> ,4
fasmlib_proc stdout.write.id_hex ,<'stdout'#DOT#'write'#DOT#'id_hex'> ,4
fasmlib_proc stdout.write.iq_hex ,<'stdout'#DOT#'write'#DOT#'iq_hex'> ,8
fasmlib_proc stdout.write.idec	 ,<'stdout'#DOT#'write'#DOT#'idec'>   ,4
fasmlib_proc stdout.write.ib_dec ,<'stdout'#DOT#'write'#DOT#'ib_dec'> ,4
fasmlib_proc stdout.write.iw_dec ,<'stdout'#DOT#'write'#DOT#'iw_dec'> ,4
fasmlib_proc stdout.write.id_dec ,<'stdout'#DOT#'write'#DOT#'id_dec'> ,4
fasmlib_proc stdout.write.iq_dec ,<'stdout'#DOT#'write'#DOT#'iq_dec'> ,8
fasmlib_proc stdout.extwrite.hex   ,<'stdout'#DOT#'extwrite'#DOT#'hex'>   ,12
fasmlib_proc stdout.extwrite.b_hex ,<'stdout'#DOT#'extwrite'#DOT#'b_hex'> ,12
fasmlib_proc stdout.extwrite.w_hex ,<'stdout'#DOT#'extwrite'#DOT#'w_hex'> ,12
fasmlib_proc stdout.extwrite.d_hex ,<'stdout'#DOT#'extwrite'#DOT#'d_hex'> ,12
fasmlib_proc stdout.extwrite.q_hex ,<'stdout'#DOT#'extwrite'#DOT#'q_hex'> ,16
fasmlib_proc stdout.extwrite.dec   ,<'stdout'#DOT#'extwrite'#DOT#'dec'>   ,12
fasmlib_proc stdout.extwrite.b_dec ,<'stdout'#DOT#'extwrite'#DOT#'b_dec'> ,12
fasmlib_proc stdout.extwrite.w_dec ,<'stdout'#DOT#'extwrite'#DOT#'w_dec'> ,12
fasmlib_proc stdout.extwrite.d_dec ,<'stdout'#DOT#'extwrite'#DOT#'d_dec'> ,12
fasmlib_proc stdout.extwrite.q_dec ,<'stdout'#DOT#'extwrite'#DOT#'q_dec'> ,16
fasmlib_proc stdout.extwrite.ihex   ,<'stdout'#DOT#'extwrite'#DOT#'ihex'>   ,16
fasmlib_proc stdout.extwrite.ib_hex ,<'stdout'#DOT#'extwrite'#DOT#'ib_hex'> ,16
fasmlib_proc stdout.extwrite.iw_hex ,<'stdout'#DOT#'extwrite'#DOT#'iw_hex'> ,16
fasmlib_proc stdout.extwrite.id_hex ,<'stdout'#DOT#'extwrite'#DOT#'id_hex'> ,16
fasmlib_proc stdout.extwrite.iq_hex ,<'stdout'#DOT#'extwrite'#DOT#'iq_hex'> ,20
fasmlib_proc stdout.extwrite.idec   ,<'stdout'#DOT#'extwrite'#DOT#'idec'>   ,16
fasmlib_proc stdout.extwrite.ib_dec ,<'stdout'#DOT#'extwrite'#DOT#'ib_dec'> ,16
fasmlib_proc stdout.extwrite.iw_dec ,<'stdout'#DOT#'extwrite'#DOT#'iw_dec'> ,16
fasmlib_proc stdout.extwrite.id_dec ,<'stdout'#DOT#'extwrite'#DOT#'id_dec'> ,16
fasmlib_proc stdout.extwrite.iq_dec ,<'stdout'#DOT#'extwrite'#DOT#'iq_dec'> ,20

;stderr
fasmlib_proc stderr.write	 ,<'stderr'#DOT#'write'>       ,4
fasmlib_proc stderr.write.char	 ,<'stderr'#DOT#'write'#DOT#'char'>  ,4
fasmlib_proc stderr.write.str	 ,<'stderr'#DOT#'write'#DOT#'str'>   ,8
fasmlib_proc stderr.write.format ,<'stderr'#DOT#'write'#DOT#'format'>,4
fasmlib_proc stderr.write.hex	 ,<'stderr'#DOT#'write'#DOT#'hex'>   ,4
fasmlib_proc stderr.write.b_hex  ,<'stderr'#DOT#'write'#DOT#'b_hex'> ,4
fasmlib_proc stderr.write.w_hex  ,<'stderr'#DOT#'write'#DOT#'w_hex'> ,4
fasmlib_proc stderr.write.d_hex  ,<'stderr'#DOT#'write'#DOT#'d_hex'> ,4
fasmlib_proc stderr.write.q_hex  ,<'stderr'#DOT#'write'#DOT#'q_hex'> ,8
fasmlib_proc stderr.write.dec	 ,<'stderr'#DOT#'write'#DOT#'dec'>   ,4
fasmlib_proc stderr.write.b_dec  ,<'stderr'#DOT#'write'#DOT#'b_dec'> ,4
fasmlib_proc stderr.write.w_dec  ,<'stderr'#DOT#'write'#DOT#'w_dec'> ,4
fasmlib_proc stderr.write.d_dec  ,<'stderr'#DOT#'write'#DOT#'d_dec'> ,4
fasmlib_proc stderr.write.q_dec  ,<'stderr'#DOT#'write'#DOT#'q_dec'> ,8
fasmlib_proc stderr.write.ihex	 ,<'stderr'#DOT#'write'#DOT#'ihex'>    ,4
fasmlib_proc stderr.write.ib_hex ,<'stderr'#DOT#'write'#DOT#'ib_hex'> ,4
fasmlib_proc stderr.write.iw_hex ,<'stderr'#DOT#'write'#DOT#'iw_hex'> ,4
fasmlib_proc stderr.write.id_hex ,<'stderr'#DOT#'write'#DOT#'id_hex'> ,4
fasmlib_proc stderr.write.iq_hex ,<'stderr'#DOT#'write'#DOT#'iq_hex'> ,8
fasmlib_proc stderr.write.idec	 ,<'stderr'#DOT#'write'#DOT#'idec'>   ,4
fasmlib_proc stderr.write.ib_dec ,<'stderr'#DOT#'write'#DOT#'ib_dec'> ,4
fasmlib_proc stderr.write.iw_dec ,<'stderr'#DOT#'write'#DOT#'iw_dec'> ,4
fasmlib_proc stderr.write.id_dec ,<'stderr'#DOT#'write'#DOT#'id_dec'> ,4
fasmlib_proc stderr.write.iq_dec ,<'stderr'#DOT#'write'#DOT#'iq_dec'> ,8
fasmlib_proc stderr.extwrite.hex   ,<'stderr'#DOT#'extwrite'#DOT#'hex'>   ,12
fasmlib_proc stderr.extwrite.b_hex ,<'stderr'#DOT#'extwrite'#DOT#'b_hex'> ,12
fasmlib_proc stderr.extwrite.w_hex ,<'stderr'#DOT#'extwrite'#DOT#'w_hex'> ,12
fasmlib_proc stderr.extwrite.d_hex ,<'stderr'#DOT#'extwrite'#DOT#'d_hex'> ,12
fasmlib_proc stderr.extwrite.q_hex ,<'stderr'#DOT#'extwrite'#DOT#'q_hex'> ,16
fasmlib_proc stderr.extwrite.dec   ,<'stderr'#DOT#'extwrite'#DOT#'dec'>   ,12
fasmlib_proc stderr.extwrite.b_dec ,<'stderr'#DOT#'extwrite'#DOT#'b_dec'> ,12
fasmlib_proc stderr.extwrite.w_dec ,<'stderr'#DOT#'extwrite'#DOT#'w_dec'> ,12
fasmlib_proc stderr.extwrite.d_dec ,<'stderr'#DOT#'extwrite'#DOT#'d_dec'> ,12
fasmlib_proc stderr.extwrite.q_dec ,<'stderr'#DOT#'extwrite'#DOT#'q_dec'> ,16
fasmlib_proc stderr.extwrite.ihex   ,<'stderr'#DOT#'extwrite'#DOT#'ihex'>   ,16
fasmlib_proc stderr.extwrite.ib_hex ,<'stderr'#DOT#'extwrite'#DOT#'ib_hex'> ,16
fasmlib_proc stderr.extwrite.iw_hex ,<'stderr'#DOT#'extwrite'#DOT#'iw_hex'> ,16
fasmlib_proc stderr.extwrite.id_hex ,<'stderr'#DOT#'extwrite'#DOT#'id_hex'> ,16
fasmlib_proc stderr.extwrite.iq_hex ,<'stderr'#DOT#'extwrite'#DOT#'iq_hex'> ,20
fasmlib_proc stderr.extwrite.idec   ,<'stderr'#DOT#'extwrite'#DOT#'idec'>   ,16
fasmlib_proc stderr.extwrite.ib_dec ,<'stderr'#DOT#'extwrite'#DOT#'ib_dec'> ,16
fasmlib_proc stderr.extwrite.iw_dec ,<'stderr'#DOT#'extwrite'#DOT#'iw_dec'> ,16
fasmlib_proc stderr.extwrite.id_dec ,<'stderr'#DOT#'extwrite'#DOT#'id_dec'> ,16
fasmlib_proc stderr.extwrite.iq_dec ,<'stderr'#DOT#'extwrite'#DOT#'iq_dec'> ,20

;stdin
fasmlib_proc stdin.read.char	  ,<'stdin'#DOT#'read'#DOT#'char'>	 ,0
fasmlib_proc stdin.read.line	  ,<'stdin'#DOT#'read'#DOT#'line'>	 ,8
fasmlib_proc stdin.read.chars	  ,<'stdin'#DOT#'read'#DOT#'chars'>	  ,12
fasmlib_proc stdin.read.until	  ,<'stdin'#DOT#'read'#DOT#'until'>	  ,12
fasmlib_proc stdin.read.hex	  ,<'stdin'#DOT#'read'#DOT#'hex'>	  ,0
fasmlib_proc stdin.read.hex_b	  ,<'stdin'#DOT#'read'#DOT#'hex_b'>	  ,0
fasmlib_proc stdin.read.hex_w	  ,<'stdin'#DOT#'read'#DOT#'hex_w'>	  ,0
fasmlib_proc stdin.read.hex_d	  ,<'stdin'#DOT#'read'#DOT#'hex_d'>	  ,0
fasmlib_proc stdin.read.hex_q	  ,<'stdin'#DOT#'read'#DOT#'hex_q'>	  ,0
fasmlib_proc stdin.read.ihex	  ,<'stdin'#DOT#'read'#DOT#'ihex'>	  ,0
fasmlib_proc stdin.read.hex_ib	  ,<'stdin'#DOT#'read'#DOT#'hex_ib'>	  ,0
fasmlib_proc stdin.read.hex_iw	  ,<'stdin'#DOT#'read'#DOT#'hex_iw'>	  ,0
fasmlib_proc stdin.read.hex_id	  ,<'stdin'#DOT#'read'#DOT#'hex_id'>	  ,0
fasmlib_proc stdin.read.hex_iq	  ,<'stdin'#DOT#'read'#DOT#'hex_iq'>	  ,0
fasmlib_proc stdin.read.dec	  ,<'stdin'#DOT#'read'#DOT#'dec'>	  ,0
fasmlib_proc stdin.read.dec_b	  ,<'stdin'#DOT#'read'#DOT#'dec_b'>	  ,0
fasmlib_proc stdin.read.dec_w	  ,<'stdin'#DOT#'read'#DOT#'dec_w'>	  ,0
fasmlib_proc stdin.read.dec_d	  ,<'stdin'#DOT#'read'#DOT#'dec_d'>	  ,0
fasmlib_proc stdin.read.dec_q	  ,<'stdin'#DOT#'read'#DOT#'dec_q'>	  ,0
fasmlib_proc stdin.read.idec	  ,<'stdin'#DOT#'read'#DOT#'idec'>	  ,0
fasmlib_proc stdin.read.dec_ib	  ,<'stdin'#DOT#'read'#DOT#'dec_ib'>	  ,0
fasmlib_proc stdin.read.dec_iw	  ,<'stdin'#DOT#'read'#DOT#'dec_iw'>	  ,0
fasmlib_proc stdin.read.dec_id	  ,<'stdin'#DOT#'read'#DOT#'dec_id'>	  ,0
fasmlib_proc stdin.read.dec_iq	  ,<'stdin'#DOT#'read'#DOT#'dec_iq'>	  ,0
fasmlib_proc stdin.fetch	  ,<'stdin'#DOT#'fetch'>		  ,4
fasmlib_proc stdin.fetch.str	  ,<'stdin'#DOT#'fetch'#DOT#'str'>	  ,8
fasmlib_proc stdin.fetch.char	  ,<'stdin'#DOT#'fetch'#DOT#'char'>	  ,4
fasmlib_proc stdin.skip.chars	  ,<'stdin'#DOT#'skip'#DOT#'chars'>	  ,4
fasmlib_proc stdin.skip.until	  ,<'stdin'#DOT#'skip'#DOT#'until'>	  ,4
fasmlib_proc stdin.extread.line      ,<'stdin'#DOT#'extread'#DOT#'line'>	,16
fasmlib_proc stdin.extread.chars     ,<'stdin'#DOT#'extread'#DOT#'chars'>	,20
fasmlib_proc stdin.extread.until     ,<'stdin'#DOT#'extread'#DOT#'until'>	,20
fasmlib_proc stdin.extread.hex	     ,<'stdin'#DOT#'extread'#DOT#'hex'> 	,12
fasmlib_proc stdin.extread.hex_b     ,<'stdin'#DOT#'extread'#DOT#'hex_b'>	,12
fasmlib_proc stdin.extread.hex_w     ,<'stdin'#DOT#'extread'#DOT#'hex_w'>	,12
fasmlib_proc stdin.extread.hex_d     ,<'stdin'#DOT#'extread'#DOT#'hex_d'>	,12
fasmlib_proc stdin.extread.hex_q     ,<'stdin'#DOT#'extread'#DOT#'hex_q'>	,12
fasmlib_proc stdin.extread.ihex      ,<'stdin'#DOT#'extread'#DOT#'ihex'>	,16
fasmlib_proc stdin.extread.hex_ib    ,<'stdin'#DOT#'extread'#DOT#'hex_ib'>	,16
fasmlib_proc stdin.extread.hex_iw    ,<'stdin'#DOT#'extread'#DOT#'hex_iw'>	,16
fasmlib_proc stdin.extread.hex_id    ,<'stdin'#DOT#'extread'#DOT#'hex_id'>	,16
fasmlib_proc stdin.extread.hex_iq    ,<'stdin'#DOT#'extread'#DOT#'hex_iq'>	,16
fasmlib_proc stdin.extread.dec	     ,<'stdin'#DOT#'extread'#DOT#'dec'> 	,12
fasmlib_proc stdin.extread.dec_b     ,<'stdin'#DOT#'extread'#DOT#'dec_b'>	,12
fasmlib_proc stdin.extread.dec_w     ,<'stdin'#DOT#'extread'#DOT#'dec_w'>	,12
fasmlib_proc stdin.extread.dec_d     ,<'stdin'#DOT#'extread'#DOT#'dec_d'>	,12
fasmlib_proc stdin.extread.dec_q     ,<'stdin'#DOT#'extread'#DOT#'dec_q'>	,12
fasmlib_proc stdin.extread.idec      ,<'stdin'#DOT#'extread'#DOT#'idec'>	,16
fasmlib_proc stdin.extread.dec_ib    ,<'stdin'#DOT#'extread'#DOT#'dec_ib'>	,16
fasmlib_proc stdin.extread.dec_iw    ,<'stdin'#DOT#'extread'#DOT#'dec_iw'>	,16
fasmlib_proc stdin.extread.dec_id    ,<'stdin'#DOT#'extread'#DOT#'dec_id'>	,16
fasmlib_proc stdin.extread.dec_iq    ,<'stdin'#DOT#'extread'#DOT#'dec_iq'>	,16
fasmlib_proc stdin.extskip.chars     ,<'stdin'#DOT#'extskip'#DOT#'chars'>	,8
fasmlib_proc stdin.extskip.until     ,<'stdin'#DOT#'extskip'#DOT#'until'>	,8

;fstream
fasmlib_proc file.open		     ,<'file'#DOT#'open'>,	8
fasmlib_proc file.extopen	     ,<'file'#DOT#'extopen'>,	28
fasmlib_proc file.create	     ,<'file'#DOT#'create'>,	12
fasmlib_proc file.extcreate	     ,<'file'#DOT#'extcreate'>, 32
fasmlib_proc file.append	     ,<'file'#DOT#'append'>,	12
fasmlib_proc file.extappend	     ,<'file'#DOT#'extappend'>, 32
fasmlib_proc file.open.handle	     ,<'file'#DOT#'open'#DOT#'handle'>,      8
fasmlib_proc file.extopen.handle     ,<'file'#DOT#'extopen'#DOT#'handle'>,   28
fasmlib_proc file.write 	     ,<'file'#DOT#'write'>	       ,12
fasmlib_proc file.write.byte	     ,<'file'#DOT#'write'#DOT#'byte'>  ,8
fasmlib_proc file.write.word	     ,<'file'#DOT#'write'#DOT#'word'>  ,8
fasmlib_proc file.write.dword	     ,<'file'#DOT#'write'#DOT#'dword'> ,8
fasmlib_proc file.read		     ,<'file'#DOT#'read'>	       ,12
fasmlib_proc file.read.byte	     ,<'file'#DOT#'read'#DOT#'byte'>   ,4
fasmlib_proc file.peek		     ,<'file'#DOT#'peek'>	       ,12
fasmlib_proc file.peek.byte	     ,<'file'#DOT#'peek'#DOT#'byte'>   ,4
fasmlib_proc file.seek		     ,<'file'#DOT#'seek'>	       ,16
fasmlib_proc file.tell		     ,<'file'#DOT#'tell'>	       ,4
fasmlib_proc file.close 	     ,<'file'#DOT#'close'>	       ,4

;mstream
fasmlib_proc mstream.create	     ,<'mstream'#DOT#'create'>, 	8
fasmlib_proc mstream.extcreate	     ,<'mstream'#DOT#'extcreate'>,	12