set LIB=%CD%\_lib

cd fasm\win32\dec2hex
fasm dec2hex.asm
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\win32\symbols
fasm symbols.asm
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\linux\dec2hex
fasm dec2hex.asm dec2hex
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\portable\dec2hex
fasm win32.asm dec2hex.exe
@if errorlevel 1 goto error
fasm linux.asm dec2hex
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\portable\str2db
fasm win32.asm str2db.exe
@if errorlevel 1 goto error
fasm linux.asm str2db
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\portable\wc
fasm win32.asm wc.exe
@if errorlevel 1 goto error
fasm linux.asm wc
@if errorlevel 1 goto error
cd ..\..\..

cd fasm\portable\mstream
fasm win32.asm mstream.exe
@if errorlevel 1 goto error
fasm linux.asm mstream
@if errorlevel 1 goto error
cd ..\..\..

cd masm\dec2hex
ml /nologo /c /coff dec2hex.asm
@if errorlevel 1 goto error
link /nologo /subsystem:console dec2hex.obj ..\..\..\bin\fasmlib2.lib %LIB%\kernel32.lib
@if errorlevel 1 goto error
del dec2hex.obj
cd ..\..

cd masm\wc
ml /nologo /c /coff wc.asm
@if errorlevel 1 goto error
link /nologo /subsystem:console wc.obj ..\..\..\bin\fasmlib2.lib %LIB%\kernel32.lib
@if errorlevel 1 goto errorn
del wc.obj
cd ..\..

cd masm\usedll
ml /nologo /c /coff usedll.asm
@if errorlevel 1 goto error
link /nologo /subsystem:console usedll.obj ..\..\..\bin\fasmlib-dll.lib
@if errorlevel 1 goto errorn
copy ..\..\..\bin\fasmlib.dll fasmlib.dll
del usedll.obj
cd ..\..

cd nasm\linux\hello
nasm -f elf -o hello.o hello.asm 
@if errorlevel 1 goto error
ld -s -b elf32-i386 -e start -o hello hello.o ..\..\..\..\bin\fasmlib.o
@if errorlevel 1 goto error
cd ..\..\..

cd nasm\portable\hello
nasm -f elf -o hello.o hello.asm
@if errorlevel 1 goto error
nasm -f win32 -o hello.obj hello.asm
@if errorlevel 1 goto error
link /nologo /entry:start /subsystem:console hello.obj ..\..\..\..\bin\fasmlib.lib %LIB%\kernel32.lib
@if errorlevel 1 goto error
del hello.obj
cd ..\..\..

cd nasm\win32\dec2hex
nasm -f win32 -o dec2hex.obj dec2hex.asm
@if errorlevel 1 goto error
link /nologo /entry:start /subsystem:console dec2hex.obj ..\..\..\..\bin\fasmlib.lib %LIB%\kernel32.lib
@if errorlevel 1 goto error
del dec2hex.obj
cd ..\..\..


@goto done

:error
pause

:done
