;this file is used to generate MASM include file

;disclaimer
db ';FASMLIB includes for MASM win32 MS-COFF and LIB version.',13,10
db ';you should use "bin/fasmlib2.lib" with this file',13,10
db 13,10

;version
include '../../src/fasmlib/version.inc'
db ';FASMLIB version', 13, 10
db 'FASMLIB_VERSION_STRING equ "', FASMLIB_VERSION_STRING, '"', 13, 10
match x y z, FASMLIB_VERSION_MAJOR FASMLIB_VERSION_MINOR FASMLIB_VERSION_REVISION
{
  db 'FASMLIB_VERSION_MAJOR = ', `x, 13, 10
  db 'FASMLIB_VERSION_MINOR = ', `y, 13, 10
  db 'FASMLIB_VERSION_REVISION = ', `z, 13, 10
}
db 13, 10

;procedures
db ';FASMLIB procedure prototypes', 13, 10
file 'procs.inc'
db 13, 10
db 13, 10

;structures
db ';FASMLIB structures', 13, 10
file 'strucs.inc'
db 13, 10
db 13, 10


;error codes
macro errtable [name, text]
{
  x equ 0
  forward
    match _x, x \{
      db `name,' = ',\`_x, 9, 9, ';', text, 13, 10
      rept 2 _z:_x \\{
	x equ _z
      \\}
    \}
}
db '; FASMLIB error codes',13,10
include '../../src/err/table.inc'
db 13,10

;thanks
db ';thx to MazeGen and Randall Hyde'