fasmlib_init	PROTO
fasmlib_uninit	PROTO
fasmlib_shutdown PROTO
err_text	PROTO errcode:DWORD

process_exit	PROTO exitcode:DWORD

fileio_open	PROTO name_:PTR BYTE, mode:DWORD
fileio_create	PROTO name_:PTR BYTE, overwr:DWORD, mode:DWORD
fileio_append	PROTO name_:PTR BYTE, overwr:DWORD, mode:DWORD
fileio_seek	PROTO handle:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
fileio_tell	PROTO handle:DWORD
fileio_size	PROTO handle:DWORD
fileio_read	PROTO handle:DWORD, buffer:PTR BYTE, count:DWORD
fileio_write	PROTO handle:DWORD, buffer:PTR BYTE, count:DWORD
fileio_close	PROTO handle:DWORD

mem_init	PROTO 
mem_uninit	PROTO 
mem_alloc	PROTO size_:DWORD
mem_alloc0	PROTO size_:DWORD
mem_free	PROTO blockptr:PTR BYTE
mem_realloc	PROTO blockptr:PTR BYTE, newsize_:DWORD
mem_realloc0	PROTO blockptr:PTR BYTE, newsize_:DWORD
mem_size	PROTO blockptr:PTR BYTE
mem_fill	PROTO dest:PTR BYTE, value:DWORD, size_:DWORD
mem_copy	PROTO dest:PTR BYTE, src:PTR BYTE, size_:DWORD
mem_cmp 	PROTO block1:PTR BYTE, block2:PTR BYTE, size_:DWORD
mem_find	PROTO block:PTR BYTE, blocksize:DWORD, pattern:PTR BYTE, patternsize:DWORD
mem_findb	PROTO block:PTR BYTE, blocksize:DWORD, _byte:DWORD

str_copy	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD
str_cat 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD
str_catchar	PROTO string:PTR BYTE, buflen:DWORD, char:DWORD
str_ins 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD, pos:DWORD
str_inschar	PROTO dest:PTR BYTE, destlen:DWORD, char:DWORD, pos:DWORD
str_sub 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD, index:DWORD, len:DWORD
str_lowcase	PROTO string:PTR BYTE, buflen:DWORD
str_upcase	PROTO string:PTR BYTE, buflen:DWORD
str_len 	PROTO string:PTR BYTE, buflen:DWORD
str_cmp 	PROTO str1:DWORD, str1len:DWORD, str2:DWORD, str2len:DWORD
str_cmpi	PROTO str1:DWORD, str1len:DWORD, str2:DWORD, str2len:DWORD
str_pos 	PROTO string:PTR BYTE, buflen:DWORD, pattern:DWORD, patlen:DWORD
str_poschar	PROTO string:PTR BYTE, buflen:DWORD, char:DWORD

conv_b_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_w_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_d_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_q_hex	PROTO dest:PTR BYTE, destlen:DWORD, valuelow:DWORD, valuehigh:DWORD
conv_b_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_w_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_d_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_q_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv_ib_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_iw_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_id_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_iq_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv_ib_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_iw_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_id_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv_iq_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv_hex_b	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_w	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_d	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_q	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_ib	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_iw	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_id	PROTO string:PTR BYTE, strlen:DWORD
conv_hex_iq	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_b	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_w	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_d	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_q	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_ib	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_iw	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_id	PROTO string:PTR BYTE, strlen:DWORD
conv_dec_iq	PROTO string:PTR BYTE, strlen:DWORD
extconv_b_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_w_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_d_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_q_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_b_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_w_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_d_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_q_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv_ib_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_iw_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_id_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_iq_hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_ib_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_iw_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_id_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_iq_dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv_hex_b	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_hex_w	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_hex_d	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_hex_q	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_hex_ib	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_hex_iw	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_hex_id	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_hex_iq	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_dec_b	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_dec_w	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_dec_d	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_dec_q	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv_dec_ib	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_dec_iw	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_dec_id	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD
extconv_dec_iq	PROTO string:PTR BYTE, strlen:DWORD, allowplus:DWORD, len:PTR DWORD

stdstream_init		PROTO
stdstream_uninit	PROTO
stream_create		PROTO objbuf:PTR DWORD, size_:DWORD, vtab:DWORD, \
			      writebuf:DWORD, wbuflen:DWORD, \
			      readbuf:DWORD, rbuflen:DWORD
stream_write		PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
stream_write_byte	PROTO stream:DWORD, value:DWORD
stream_write_word	PROTO stream:DWORD, value:DWORD
stream_write_dword	PROTO stream:DWORD, value:DWORD
stream_read		PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
stream_read_byte	PROTO stream:DWORD
stream_peek		PROTO stream:DWORD, count:DWORD, readlen:PTR DWORD
stream_peek_byte	PROTO stream:DWORD
stream_tell		PROTO stream:DWORD
stream_skip		PROTO stream:DWORD, count:DWORD
stream_seek		PROTO stream:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
stream_close		PROTO stream:DWORD

EXTERNDEF	stdin:NEAR
EXTERNDEF	stdout:NEAR
EXTERNDEF	stderr:NEAR

text_write		PROTO stream:DWORD, string:PTR BYTE
text_write_char 	PROTO stream:DWORD, char:DWORD
text_write_str		PROTO stream:DWORD, string:PTR BYTE, buflen:DWORD
text_write_format	PROTO stream:DWORD, formatstr:PTR BYTE
text_write_hex		PROTO stream:DWORD, value:DWORD
text_write_b_hex	PROTO stream:DWORD, value:DWORD
text_write_w_hex	PROTO stream:DWORD, value:DWORD
text_write_d_hex	PROTO stream:DWORD, value:DWORD
text_write_q_hex	PROTO stream:DWORD, value:QWORD
text_write_dec		PROTO stream:DWORD, value:DWORD
text_write_b_dec	PROTO stream:DWORD, value:DWORD
text_write_w_dec	PROTO stream:DWORD, value:DWORD
text_write_d_dec	PROTO stream:DWORD, value:DWORD
text_write_q_dec	PROTO stream:DWORD, value:QWORD
text_write_ihex 	PROTO stream:DWORD, value:DWORD
text_write_ib_hex	PROTO stream:DWORD, value:DWORD
text_write_iw_hex	PROTO stream:DWORD, value:DWORD
text_write_id_hex	PROTO stream:DWORD, value:DWORD
text_write_iq_hex	PROTO stream:DWORD, value:QWORD
text_write_idec 	PROTO stream:DWORD, value:DWORD
text_write_ib_dec	PROTO stream:DWORD, value:DWORD
text_write_iw_dec	PROTO stream:DWORD, value:DWORD
text_write_id_dec	PROTO stream:DWORD, value:DWORD
text_write_iq_dec	PROTO stream:DWORD, value:QWORD
text_read_char		PROTO stream:DWORD
text_read_chars 	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
text_read_until 	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
text_read_line		PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD
text_read_hex		PROTO stream:DWORD
text_read_hex_b 	PROTO stream:DWORD
text_read_hex_w 	PROTO stream:DWORD
text_read_hex_d 	PROTO stream:DWORD
text_read_hex_q 	PROTO stream:DWORD
text_read_ihex		PROTO stream:DWORD
text_read_hex_ib	PROTO stream:DWORD
text_read_hex_iw	PROTO stream:DWORD
text_read_hex_id	PROTO stream:DWORD
text_read_hex_iq	PROTO stream:DWORD
text_read_dec		PROTO stream:DWORD
text_read_dec_b 	PROTO stream:DWORD
text_read_dec_w 	PROTO stream:DWORD
text_read_dec_d 	PROTO stream:DWORD
text_read_dec_q 	PROTO stream:DWORD
text_read_idec		PROTO stream:DWORD
text_read_dec_ib	PROTO stream:DWORD
text_read_dec_iw	PROTO stream:DWORD
text_read_dec_id	PROTO stream:DWORD
text_read_dec_iq	PROTO stream:DWORD
text_fetch		PROTO stream:DWORD, string:PTR BYTE
text_fetch_str		PROTO stream:DWORD, string:PTR BYTE, buflen:DWORD
text_fetch_char 	PROTO stream:DWORD, char:DWORD
text_skip_chars 	PROTO stream:DWORD, charlist:PTR BYTE
text_skip_until 	PROTO stream:DWORD, charlist:PTR BYTE
text_extwrite_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_b_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_w_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_d_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_q_hex	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD
text_extwrite_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_b_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_w_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_d_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text_extwrite_q_dec	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD
text_extwrite_ihex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_ib_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_iw_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_id_hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_iq_hex	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_idec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_ib_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_iw_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_id_dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extwrite_iq_dec	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text_extread_chars	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:DWORD
text_extread_until	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:DWORD
text_extread_line	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, maxlen:DWORD, len:DWORD
text_extread_hex	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_hex_b	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_hex_w	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_hex_d	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_hex_q	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_ihex	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_hex_ib	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_hex_iw	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_hex_id	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_hex_iq	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_dec	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_dec_b	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_dec_w	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_dec_d	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_dec_q	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, len:DWORD
text_extread_idec	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_dec_ib	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_dec_iw	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_dec_id	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extread_dec_iq	PROTO stream:DWORD, maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:DWORD
text_extskip_chars	PROTO stream:DWORD, charlist:PTR BYTE, maxlen:DWORD
text_extskip_until	PROTO stream:DWORD, charlist:PTR BYTE, maxlen:DWORD

;-----------------------------------------------------------------------------
; stdout
stdout_write		  PROTO string:PTR BYTE
stdout_write_char	  PROTO char:DWORD
stdout_write_str	  PROTO string:PTR BYTE, buflen:DWORD
stdout_write_format	  PROTO formatstr:PTR BYTE
stdout_write_hex	  PROTO value:DWORD
stdout_write_b_hex	  PROTO value:DWORD
stdout_write_w_hex	  PROTO value:DWORD
stdout_write_d_hex	  PROTO value:DWORD
stdout_write_q_hex	  PROTO value:QWORD
stdout_write_dec	  PROTO value:DWORD
stdout_write_b_dec	  PROTO value:DWORD
stdout_write_w_dec	  PROTO value:DWORD
stdout_write_d_dec	  PROTO value:DWORD
stdout_write_q_dec	  PROTO value:QWORD
stdout_write_ihex	  PROTO value:DWORD
stdout_write_ib_hex	  PROTO value:DWORD
stdout_write_iw_hex	  PROTO value:DWORD
stdout_write_id_hex	  PROTO value:DWORD
stdout_write_iq_hex	  PROTO value:QWORD
stdout_write_idec	  PROTO value:DWORD
stdout_write_ib_dec	  PROTO value:DWORD
stdout_write_iw_dec	  PROTO value:DWORD
stdout_write_id_dec	  PROTO value:DWORD
stdout_write_iq_dec	  PROTO value:QWORD
stdout_extwrite_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_b_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_w_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_d_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_q_hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_b_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_w_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_d_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_q_dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stdout_extwrite_ihex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_ib_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_iw_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_id_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_iq_hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_idec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_ib_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_iw_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_id_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout_extwrite_iq_dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD

;-----------------------------------------------------------------------------
;stderr
stderr_write		  PROTO string:PTR BYTE
stderr_write_char	  PROTO char:DWORD
stderr_write_str	  PROTO string:PTR BYTE, buflen:DWORD
stderr_write_format	  PROTO formatstr:PTR BYTE
stderr_write_hex	  PROTO value:DWORD
stderr_write_b_hex	  PROTO value:DWORD
stderr_write_w_hex	  PROTO value:DWORD
stderr_write_d_hex	  PROTO value:DWORD
stderr_write_q_hex	  PROTO value:QWORD
stderr_write_dec	  PROTO value:DWORD
stderr_write_b_dec	  PROTO value:DWORD
stderr_write_w_dec	  PROTO value:DWORD
stderr_write_d_dec	  PROTO value:DWORD
stderr_write_q_dec	  PROTO value:QWORD
stderr_write_ihex	  PROTO value:DWORD
stderr_write_ib_hex	  PROTO value:DWORD
stderr_write_iw_hex	  PROTO value:DWORD
stderr_write_id_hex	  PROTO value:DWORD
stderr_write_iq_hex	  PROTO value:QWORD
stderr_write_idec	  PROTO value:DWORD
stderr_write_ib_dec	  PROTO value:DWORD
stderr_write_iw_dec	  PROTO value:DWORD
stderr_write_id_dec	  PROTO value:DWORD
stderr_write_iq_dec	  PROTO value:QWORD
stderr_extwrite_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_b_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_w_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_d_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_q_hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_b_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_w_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_d_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_q_dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stderr_extwrite_ihex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_ib_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_iw_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_id_hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_iq_hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_idec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_ib_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_iw_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_id_dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr_extwrite_iq_dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD

;-----------------------------------------------------------------------------
; stdin
stdin_read_char 	  PROTO
stdin_read_line 	  PROTO buffer:PTR BYTE, buflen:DWORD
stdin_read_until	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
stdin_read_chars	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
stdin_read_hex		  PROTO
stdin_read_hex_b	  PROTO
stdin_read_hex_w	  PROTO
stdin_read_hex_d	  PROTO
stdin_read_hex_q	  PROTO
stdin_read_ihex 	  PROTO
stdin_read_hex_ib	  PROTO
stdin_read_hex_iw	  PROTO
stdin_read_hex_id	  PROTO
stdin_read_hex_iq	  PROTO
stdin_read_dec		  PROTO
stdin_read_dec_b	  PROTO
stdin_read_dec_w	  PROTO
stdin_read_dec_d	  PROTO
stdin_read_dec_q	  PROTO
stdin_read_idec 	  PROTO
stdin_read_dec_ib	  PROTO
stdin_read_dec_iw	  PROTO
stdin_read_dec_id	  PROTO
stdin_read_dec_iq	  PROTO
stdin_fetch		  PROTO string:PTR BYTE
stdin_fetch_str 	  PROTO string:PTR BYTE, buflen:DWORD
stdin_fetch_char	  PROTO char:DWORD
stdin_skip_chars	  PROTO charlist:PTR BYTE
stdin_skip_until	  PROTO charlist:PTR BYTE
stdin_extread_line	  PROTO buffer:PTR BYTE, buflen:DWORD, maxlen:DWORD, len:PTR DWORD
stdin_extread_until	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:PTR DWORD
stdin_extread_chars	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:PTR DWORD
stdin_extread_hex	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_hex_b	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_hex_w	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_hex_d	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_hex_q	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_ihex	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_hex_ib	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_hex_iw	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_hex_id	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_hex_iq	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_dec	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_dec_b	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_dec_w	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_dec_d	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_dec_q	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin_extread_idec	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_dec_ib	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_dec_iw	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_dec_id	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extread_dec_iq	  PROTO maxlen:DWORD, skipbl:DWORD, allowplus:DWORD, len:PTR DWORD
stdin_extskip_chars	  PROTO charlist:PTR BYTE, maxlen:DWORD
stdin_extskip_until	  PROTO charlist:PTR BYTE, maxlen:DWORD

;fstream
file_open	PROTO name_:PTR BYTE, mode:DWORD
file_extopen	PROTO objbuf:PTR DWORD, name_:PTR BYTE, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file_create	PROTO name_:PTR BYTE, overwr:DWORD, mode:DWORD
file_extcreate	PROTO objbuf:PTR DWORD, name_:PTR BYTE, overwr:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file_append	PROTO name_:PTR BYTE, create:DWORD, mode:DWORD
file_extappend	PROTO objbuf:PTR DWORD, name_:PTR BYTE, create:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file_open_handle    PROTO handle:DWORD, mode:DWORD
file_extopen_handle PROTO objbuf:PTR DWORD, handle:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file_write	      PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
file_write_byte       PROTO stream:DWORD, value:DWORD
file_write_word       PROTO stream:DWORD, value:DWORD
file_write_dword      PROTO stream:DWORD, value:DWORD
file_read	      PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
file_read_byte	      PROTO stream:DWORD
file_peek	      PROTO stream:DWORD, count:DWORD, readlen:PTR DWORD
file_peek_byte	      PROTO stream:DWORD
file_tell	      PROTO stream:DWORD
file_skip	      PROTO stream:DWORD, count:DWORD
file_seek	      PROTO stream:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
file_close	      PROTO stream:DWORD

;mstream
mstream_create	  PROTO buffer:PTR BYTE, bufsz:DWORD
mstream_extcreate PROTO objbuf:PTR DWORD, buffer:PTR BYTE, bufsz:DWORD