; see "win32/stdstream/uninit.inc" for documentation
proc stdstream.uninit

	;check if module is initialized
	cmp	[stdstream.initialized], 0
	je	.error_not_initialized

	mov	[stdstream.initialized], 0

	;stdin
if used stdin | INCLUDE_ALL_DATA eq 1
	libcall stream.close, stdin
	jc	.rc
end if

.rnc:	clc
.r:	ret
.rc:	stc
	jmp	.r

.error_not_initialized:
	mov	eax, ERR_MODULE_NOT_INITIALIZED
	jmp	.rc
endp
