;FASMLIB
;initialization and uninitialization of FASMLIB

;;@name fasmlib.init
;;@desc
;;    Initializes all modules in FASMLIB. In current version, it calls {mem.init} and {stdstream.init}.
;;@ret
;;    CF=1 on error
;;@warn
;;    Don't forget to call {fasmlib.uninit} or {fasmlib.shutdown} after you are done with FASMLIB.
proc fasmlib.init
	libcall mem.init
	jc	.r
	libcall stdstream.init
	jc	.r
.r:	ret
endp