; FASMLIB
; heap manager
; (this is optional part of mem module. it is included on systems where heap manager is required)


;HEAPMGR interfaces
include 'heapmgr/_interface.inc'

;procs
include 'heapmgr/init.inc'
include 'heapmgr/uninit.inc'
include 'heapmgr/alloc.inc'
include 'heapmgr/free.inc'
include 'heapmgr/realloc.inc'
include 'heapmgr/size.inc'

;internal procs
include 'heapmgr/_test_heap.inc'
include 'heapmgr/_display_heap.inc'


;undefine symbols
restruc HEAPBLOCK
restore INITIAL_HEAP_SIZE
restore HEAP_SIZE_ALIGN
restore HEAP_BLOCK_ALIGN
restore HEAP_MIN_SPLIT_SIZE