;TODO: alias stream.writed

;; @name stream.write.dword
;; @desc
;;    Writes one dword (4 bytes) to stream.
;; @arg stream
;;    Handle of stream to which we write.
;; @arg value
;;    Dword value to write.
;; @ret
;;    CF set on error
;; @err ERR_INVALID_HANDLE
;;    Not a valid stream handle.
;; @err ERR_STREAM_NOT_WRITABLE
;;    Stream is not writeable.
;; @note This is just a helper procedure to call {stream write method}.
proc stream.write.dword stream, value
	lea	eax, [value]
	libcall stream.write, [stream], eax, 4
	ret
endp