;list of public FASMLIB procedures and data

;fasmlib
fasmlib_proc fasmlib.init     ,<'fasmlib'#DOT#'init'>	  ,0
fasmlib_proc fasmlib.uninit   ,<'fasmlib'#DOT#'uninit'>   ,0
fasmlib_proc fasmlib.shutdown ,<'fasmlib'#DOT#'shutdown'> ,0
fasmlib_proc err.text	      ,<'err'#DOT#'text'>     ,4

;process
fasmlib_proc process.exit     ,<'process'#DOT#'exit'> ,4

;fileio
fasmlib_proc fileio.open      ,<'fileio'#DOT#'open'>  ,8
fasmlib_proc fileio.create    ,<'fileio'#DOT#'create'>,12
fasmlib_proc fileio.append    ,<'fileio'#DOT#'append'>,12
fasmlib_proc fileio.seek      ,<'fileio'#DOT#'seek'>  ,16
fasmlib_proc fileio.tell      ,<'fileio'#DOT#'tell'>  ,4
fasmlib_proc fileio.size      ,<'fileio'#DOT#'size'>  ,4
fasmlib_proc fileio.read      ,<'fileio'#DOT#'read'>  ,12
fasmlib_proc fileio.write     ,<'fileio'#DOT#'write'> ,12
fasmlib_proc fileio.close     ,<'fileio'#DOT#'close'> ,4

;mem
fasmlib_proc mem.init	      ,<'mem'#DOT#'init'>     ,0
fasmlib_proc mem.uninit       ,<'mem'#DOT#'uninit'>   ,0
fasmlib_proc mem.alloc	      ,<'mem'#DOT#'alloc'>    ,4
fasmlib_proc mem.alloc0       ,<'mem'#DOT#'alloc0'>   ,4
fasmlib_proc mem.free	      ,<'mem'#DOT#'free'>     ,4
fasmlib_proc mem.realloc      ,<'mem'#DOT#'realloc'>  ,8
fasmlib_proc mem.realloc0     ,<'mem'#DOT#'realloc0'> ,8
fasmlib_proc mem.size	      ,<'mem'#DOT#'size'>     ,4
fasmlib_proc mem.fill	      ,<'mem'#DOT#'fill'>     ,12
fasmlib_proc mem.copy	      ,<'mem'#DOT#'copy'>     ,12
fasmlib_proc mem.cmp	      ,<'mem'#DOT#'cmp'>      ,12
fasmlib_proc mem.find	      ,<'mem'#DOT#'find'>     ,16
fasmlib_proc mem.findb	      ,<'mem'#DOT#'findb'>    ,12

;str
fasmlib_proc str.copy	      ,<'str'#DOT#'copy'>    ,16
fasmlib_proc str.cat	      ,<'str'#DOT#'cat'>     ,16
fasmlib_proc str.catchar      ,<'str'#DOT#'catchar'> ,12
fasmlib_proc str.ins	      ,<'str'#DOT#'ins'>     ,20
fasmlib_proc str.inschar      ,<'str'#DOT#'inschar'> ,16
fasmlib_proc str.sub	      ,<'str'#DOT#'sub'>     ,24
fasmlib_proc str.lowcase      ,<'str'#DOT#'lowcase'> ,8
fasmlib_proc str.upcase       ,<'str'#DOT#'upcase'>  ,8
fasmlib_proc str.len	      ,<'str'#DOT#'len'>     ,8
fasmlib_proc str.cmp	      ,<'str'#DOT#'cmp'>     ,16
fasmlib_proc str.cmpi	      ,<'str'#DOT#'cmpi'>    ,16
fasmlib_proc str.pos	      ,<'str'#DOT#'pos'>     ,16
fasmlib_proc str.poschar      ,<'str'#DOT#'poschar'> ,12

;stream
fasmlib_proc stdstream.init	,<'stdstream'#DOT#'init'>	    ,0
fasmlib_proc stdstream.uninit	,<'stdstream'#DOT#'uninit'>	    ,0
fasmlib_proc stream.create	,<'stream'#DOT#'create'>	    ,28
fasmlib_proc stream.write	,<'stream'#DOT#'write'> 	    ,12
fasmlib_proc stream.write.byte	,<'stream'#DOT#'write'#DOT#'byte'>  ,8
fasmlib_proc stream.write.word	,<'stream'#DOT#'write'#DOT#'word'>  ,8
fasmlib_proc stream.write.dword ,<'stream'#DOT#'write'#DOT#'dword'> ,8
fasmlib_proc stream.read	,<'stream'#DOT#'read'>		    ,12
fasmlib_proc stream.read.byte	,<'stream'#DOT#'read'#DOT#'byte'>   ,4
fasmlib_proc stream.peek	,<'stream'#DOT#'peek'>		    ,12
fasmlib_proc stream.peek.byte	,<'stream'#DOT#'peek'#DOT#'byte'>   ,4
fasmlib_proc stream.skip	,<'stream'#DOT#'skip'>		    ,8
fasmlib_proc stream.seek	,<'stream'#DOT#'seek'>		    ,16
fasmlib_proc stream.tell	,<'stream'#DOT#'tell'>		    ,4
fasmlib_proc stream.close	,<'stream'#DOT#'close'> 	    ,4

;std streams
fasmlib_data stdout    ,<'stdout'>
fasmlib_data stdin     ,<'stdin'>
fasmlib_data stderr    ,<'stderr'>

;conv
fasmlib_proc conv.b.hex       ,<'conv'#DOT#'b.hex'>    ,12
fasmlib_proc conv.w.hex       ,<'conv'#DOT#'w.hex'>    ,12
fasmlib_proc conv.d.hex       ,<'conv'#DOT#'d.hex'>    ,12
fasmlib_proc conv.q.hex       ,<'conv'#DOT#'q.hex'>    ,16
fasmlib_proc conv.b.dec       ,<'conv'#DOT#'b.dec'>    ,12
fasmlib_proc conv.w.dec       ,<'conv'#DOT#'w.dec'>    ,12
fasmlib_proc conv.d.dec       ,<'conv'#DOT#'d.dec'>    ,12
fasmlib_proc conv.q.dec       ,<'conv'#DOT#'q.dec'>    ,16
fasmlib_proc conv.ib.hex      ,<'conv'#DOT#'ib.hex'>   ,12
fasmlib_proc conv.iw.hex      ,<'conv'#DOT#'iw.hex'>   ,12
fasmlib_proc conv.id.hex      ,<'conv'#DOT#'id.hex'>   ,12
fasmlib_proc conv.iq.hex      ,<'conv'#DOT#'iq.hex'>   ,16
fasmlib_proc conv.ib.dec      ,<'conv'#DOT#'ib.dec'>   ,12
fasmlib_proc conv.iw.dec      ,<'conv'#DOT#'iw.dec'>   ,12
fasmlib_proc conv.id.dec      ,<'conv'#DOT#'id.dec'>   ,12
fasmlib_proc conv.iq.dec      ,<'conv'#DOT#'iq.dec'>   ,16
fasmlib_proc conv.hex.b       ,<'conv'#DOT#'hex.b'>    ,8
fasmlib_proc conv.hex.w       ,<'conv'#DOT#'hex.w'>    ,8
fasmlib_proc conv.hex.d       ,<'conv'#DOT#'hex.d'>    ,8
fasmlib_proc conv.hex.q       ,<'conv'#DOT#'hex.q'>    ,8
fasmlib_proc conv.hex.ib      ,<'conv'#DOT#'hex.ib'>   ,8
fasmlib_proc conv.hex.iw      ,<'conv'#DOT#'hex.iw'>   ,8
fasmlib_proc conv.hex.id      ,<'conv'#DOT#'hex.id'>   ,8
fasmlib_proc conv.hex.iq      ,<'conv'#DOT#'hex.iq'>   ,8
fasmlib_proc conv.dec.b       ,<'conv'#DOT#'dec.b'>    ,8
fasmlib_proc conv.dec.w       ,<'conv'#DOT#'dec.w'>    ,8
fasmlib_proc conv.dec.d       ,<'conv'#DOT#'dec.d'>    ,8
fasmlib_proc conv.dec.q       ,<'conv'#DOT#'dec.q'>    ,8
fasmlib_proc conv.dec.ib      ,<'conv'#DOT#'dec.ib'>   ,8
fasmlib_proc conv.dec.iw      ,<'conv'#DOT#'dec.iw'>   ,8
fasmlib_proc conv.dec.id      ,<'conv'#DOT#'dec.id'>   ,8
fasmlib_proc conv.dec.iq      ,<'conv'#DOT#'dec.iq'>   ,8
fasmlib_proc extconv.b.hex    ,<'extconv'#DOT#'b.hex'> ,24
fasmlib_proc extconv.w.hex    ,<'extconv'#DOT#'w.hex'> ,24
fasmlib_proc extconv.d.hex    ,<'extconv'#DOT#'d.hex'> ,24
fasmlib_proc extconv.q.hex    ,<'extconv'#DOT#'q.hex'> ,28
fasmlib_proc extconv.b.dec    ,<'extconv'#DOT#'b.dec'> ,24
fasmlib_proc extconv.w.dec    ,<'extconv'#DOT#'w.dec'> ,24
fasmlib_proc extconv.d.dec    ,<'extconv'#DOT#'d.dec'> ,24
fasmlib_proc extconv.q.dec    ,<'extconv'#DOT#'q.dec'> ,28
fasmlib_proc extconv.ib.hex   ,<'extconv'#DOT#'ib.hex'> ,28
fasmlib_proc extconv.iw.hex   ,<'extconv'#DOT#'iw.hex'> ,28
fasmlib_proc extconv.id.hex   ,<'extconv'#DOT#'id.hex'> ,28
fasmlib_proc extconv.iq.hex   ,<'extconv'#DOT#'iq.hex'> ,32
fasmlib_proc extconv.ib.dec   ,<'extconv'#DOT#'ib.dec'> ,28
fasmlib_proc extconv.iw.dec   ,<'extconv'#DOT#'iw.dec'> ,28
fasmlib_proc extconv.id.dec   ,<'extconv'#DOT#'id.dec'> ,28
fasmlib_proc extconv.iq.dec   ,<'extconv'#DOT#'iq.dec'> ,32
fasmlib_proc extconv.hex.b    ,<'extconv'#DOT#'hex.b'> ,12
fasmlib_proc extconv.hex.w    ,<'extconv'#DOT#'hex.w'> ,12
fasmlib_proc extconv.hex.d    ,<'extconv'#DOT#'hex.d'> ,12
fasmlib_proc extconv.hex.q    ,<'extconv'#DOT#'hex.q'> ,12
fasmlib_proc extconv.hex.ib   ,<'extconv'#DOT#'hex.ib'> ,16
fasmlib_proc extconv.hex.iw   ,<'extconv'#DOT#'hex.iw'> ,16
fasmlib_proc extconv.hex.id   ,<'extconv'#DOT#'hex.id'> ,16
fasmlib_proc extconv.hex.iq   ,<'extconv'#DOT#'hex.iq'> ,16
fasmlib_proc extconv.dec.b    ,<'extconv'#DOT#'dec.b'> ,12
fasmlib_proc extconv.dec.w    ,<'extconv'#DOT#'dec.w'> ,12
fasmlib_proc extconv.dec.d    ,<'extconv'#DOT#'dec.d'> ,12
fasmlib_proc extconv.dec.q    ,<'extconv'#DOT#'dec.q'> ,12
fasmlib_proc extconv.dec.ib   ,<'extconv'#DOT#'dec.ib'> ,16
fasmlib_proc extconv.dec.iw   ,<'extconv'#DOT#'dec.iw'> ,16
fasmlib_proc extconv.dec.id   ,<'extconv'#DOT#'dec.id'> ,16
fasmlib_proc extconv.dec.iq   ,<'extconv'#DOT#'dec.iq'> ,16

;text
fasmlib_proc text.write        ,<'text'#DOT#'write'>	   ,8
fasmlib_proc text.write.char   ,<'text'#DOT#'write'#DOT#'char'>  ,8
fasmlib_proc text.write.str    ,<'text'#DOT#'write'#DOT#'str'>	 ,12
fasmlib_proc text.write.format ,<'text'#DOT#'write'#DOT#'format'>,8
fasmlib_proc text.write.hex    ,<'text'#DOT#'write'#DOT#'hex'>	 ,8
fasmlib_proc text.write.b.hex  ,<'text'#DOT#'write'#DOT#'b.hex'> ,8
fasmlib_proc text.write.w.hex  ,<'text'#DOT#'write'#DOT#'w.hex'> ,8
fasmlib_proc text.write.d.hex  ,<'text'#DOT#'write'#DOT#'d.hex'> ,8
fasmlib_proc text.write.q.hex  ,<'text'#DOT#'write'#DOT#'q.hex'> ,12
fasmlib_proc text.write.dec    ,<'text'#DOT#'write'#DOT#'dec'>	 ,8
fasmlib_proc text.write.b.dec  ,<'text'#DOT#'write'#DOT#'b.dec'> ,8
fasmlib_proc text.write.w.dec  ,<'text'#DOT#'write'#DOT#'w.dec'> ,8
fasmlib_proc text.write.d.dec  ,<'text'#DOT#'write'#DOT#'d.dec'> ,8
fasmlib_proc text.write.q.dec  ,<'text'#DOT#'write'#DOT#'q.dec'> ,12
fasmlib_proc text.write.ihex   ,<'text'#DOT#'write'#DOT#'ihex'>  ,8
fasmlib_proc text.write.ib.hex ,<'text'#DOT#'write'#DOT#'ib.hex'> ,8
fasmlib_proc text.write.iw.hex ,<'text'#DOT#'write'#DOT#'iw.hex'> ,8
fasmlib_proc text.write.id.hex ,<'text'#DOT#'write'#DOT#'id.hex'> ,8
fasmlib_proc text.write.iq.hex ,<'text'#DOT#'write'#DOT#'iq.hex'> ,12
fasmlib_proc text.write.idec   ,<'text'#DOT#'write'#DOT#'idec'>   ,8
fasmlib_proc text.write.ib.dec ,<'text'#DOT#'write'#DOT#'ib.dec'> ,8
fasmlib_proc text.write.iw.dec ,<'text'#DOT#'write'#DOT#'iw.dec'> ,8
fasmlib_proc text.write.id.dec ,<'text'#DOT#'write'#DOT#'id.dec'> ,8
fasmlib_proc text.write.iq.dec ,<'text'#DOT#'write'#DOT#'iq.dec'> ,12
fasmlib_proc text.read.char    ,<'text'#DOT#'read'#DOT#'char'>	 ,4
fasmlib_proc text.read.chars   ,<'text'#DOT#'read'#DOT#'chars'>  ,16
fasmlib_proc text.read.until   ,<'text'#DOT#'read'#DOT#'until'>  ,16
fasmlib_proc text.read.line    ,<'text'#DOT#'read'#DOT#'line'>	 ,12
fasmlib_proc text.read.hex     ,<'text'#DOT#'read'#DOT#'hex'>	 ,4
fasmlib_proc text.read.hex.b   ,<'text'#DOT#'read'#DOT#'hex.b'>  ,4
fasmlib_proc text.read.hex.w   ,<'text'#DOT#'read'#DOT#'hex.w'>  ,4
fasmlib_proc text.read.hex.d   ,<'text'#DOT#'read'#DOT#'hex.d'>  ,4
fasmlib_proc text.read.hex.q   ,<'text'#DOT#'read'#DOT#'hex.q'>  ,4
fasmlib_proc text.read.dec     ,<'text'#DOT#'read'#DOT#'dec'>	 ,4
fasmlib_proc text.read.dec.b   ,<'text'#DOT#'read'#DOT#'dec.b'>  ,4
fasmlib_proc text.read.dec.w   ,<'text'#DOT#'read'#DOT#'dec.w'>  ,4
fasmlib_proc text.read.dec.d   ,<'text'#DOT#'read'#DOT#'dec.d'>  ,4
fasmlib_proc text.read.dec.q   ,<'text'#DOT#'read'#DOT#'dec.q'>  ,4
fasmlib_proc text.fetch        ,<'text'#DOT#'fetch'>		 ,8
fasmlib_proc text.fetch.str    ,<'text'#DOT#'fetch'#DOT#'str'>	 ,12
fasmlib_proc text.fetch.char   ,<'text'#DOT#'fetch'#DOT#'char'>  ,8
fasmlib_proc text.skip.chars   ,<'text'#DOT#'skip'#DOT#'chars'>  ,8
fasmlib_proc text.skip.until   ,<'text'#DOT#'skip'#DOT#'until'>  ,8
fasmlib_proc text.extwrite.hex	 ,<'text'#DOT#'extwrite'#DOT#'hex'>   ,16
fasmlib_proc text.extwrite.b.hex ,<'text'#DOT#'extwrite'#DOT#'b.hex'> ,16
fasmlib_proc text.extwrite.w.hex ,<'text'#DOT#'extwrite'#DOT#'w.hex'> ,16
fasmlib_proc text.extwrite.d.hex ,<'text'#DOT#'extwrite'#DOT#'d.hex'> ,16
fasmlib_proc text.extwrite.q.hex ,<'text'#DOT#'extwrite'#DOT#'q.hex'> ,20
fasmlib_proc text.extwrite.dec	 ,<'text'#DOT#'extwrite'#DOT#'dec'>   ,16
fasmlib_proc text.extwrite.b.dec ,<'text'#DOT#'extwrite'#DOT#'b.dec'> ,16
fasmlib_proc text.extwrite.w.dec ,<'text'#DOT#'extwrite'#DOT#'w.dec'> ,16
fasmlib_proc text.extwrite.d.dec ,<'text'#DOT#'extwrite'#DOT#'d.dec'> ,16
fasmlib_proc text.extwrite.q.dec ,<'text'#DOT#'extwrite'#DOT#'q.dec'> ,20
fasmlib_proc text.extwrite.ihex   ,<'text'#DOT#'extwrite'#DOT#'ihex'>	,20
fasmlib_proc text.extwrite.ib.hex ,<'text'#DOT#'extwrite'#DOT#'ib.hex'> ,20
fasmlib_proc text.extwrite.iw.hex ,<'text'#DOT#'extwrite'#DOT#'iw.hex'> ,20
fasmlib_proc text.extwrite.id.hex ,<'text'#DOT#'extwrite'#DOT#'id.hex'> ,20
fasmlib_proc text.extwrite.iq.hex ,<'text'#DOT#'extwrite'#DOT#'iq.hex'> ,24
fasmlib_proc text.extwrite.idec   ,<'text'#DOT#'extwrite'#DOT#'idec'>	,20
fasmlib_proc text.extwrite.ib.dec ,<'text'#DOT#'extwrite'#DOT#'ib.dec'> ,20
fasmlib_proc text.extwrite.iw.dec ,<'text'#DOT#'extwrite'#DOT#'iw.dec'> ,20
fasmlib_proc text.extwrite.id.dec ,<'text'#DOT#'extwrite'#DOT#'id.dec'> ,20
fasmlib_proc text.extwrite.iq.dec ,<'text'#DOT#'extwrite'#DOT#'iq.dec'> ,24
fasmlib_proc text.extread.chars  ,<'text'#DOT#'extread'#DOT#'chars'>  ,24
fasmlib_proc text.extread.until  ,<'text'#DOT#'extread'#DOT#'until'>  ,24
fasmlib_proc text.extread.line	 ,<'text'#DOT#'extread'#DOT#'line'>   ,20
fasmlib_proc text.extread.hex	 ,<'text'#DOT#'extread'#DOT#'hex'>    ,16
fasmlib_proc text.extread.hex.b  ,<'text'#DOT#'extread'#DOT#'hex.b'>  ,16
fasmlib_proc text.extread.hex.w  ,<'text'#DOT#'extread'#DOT#'hex.w'>  ,16
fasmlib_proc text.extread.hex.d  ,<'text'#DOT#'extread'#DOT#'hex.d'>  ,16
fasmlib_proc text.extread.hex.q  ,<'text'#DOT#'extread'#DOT#'hex.q'>  ,16
fasmlib_proc text.extread.dec	 ,<'text'#DOT#'extread'#DOT#'dec'>    ,16
fasmlib_proc text.extread.dec.b  ,<'text'#DOT#'extread'#DOT#'dec.b'>  ,16
fasmlib_proc text.extread.dec.w  ,<'text'#DOT#'extread'#DOT#'dec.w'>  ,16
fasmlib_proc text.extread.dec.d  ,<'text'#DOT#'extread'#DOT#'dec.d'>  ,16
fasmlib_proc text.extread.dec.q  ,<'text'#DOT#'extread'#DOT#'dec.q'>  ,16
fasmlib_proc text.extskip.chars  ,<'text'#DOT#'extskip'#DOT#'chars'>  ,12
fasmlib_proc text.extskip.until  ,<'text'#DOT#'extskip'#DOT#'until'>  ,12

;stdout
fasmlib_proc stdout.write	 ,<'stdout'#DOT#'write'>       ,4
fasmlib_proc stdout.write.char	 ,<'stdout'#DOT#'write'#DOT#'char'>  ,4
fasmlib_proc stdout.write.str	 ,<'stdout'#DOT#'write'#DOT#'str'>   ,8
fasmlib_proc stdout.write.format ,<'stdout'#DOT#'write'#DOT#'format'>,4
fasmlib_proc stdout.write.hex	 ,<'stdout'#DOT#'write'#DOT#'hex'>   ,4
fasmlib_proc stdout.write.b.hex  ,<'stdout'#DOT#'write'#DOT#'b.hex'> ,4
fasmlib_proc stdout.write.w.hex  ,<'stdout'#DOT#'write'#DOT#'w.hex'> ,4
fasmlib_proc stdout.write.d.hex  ,<'stdout'#DOT#'write'#DOT#'d.hex'> ,4
fasmlib_proc stdout.write.q.hex  ,<'stdout'#DOT#'write'#DOT#'q.hex'> ,8
fasmlib_proc stdout.write.dec	 ,<'stdout'#DOT#'write'#DOT#'dec'>   ,4
fasmlib_proc stdout.write.b.dec  ,<'stdout'#DOT#'write'#DOT#'b.dec'> ,4
fasmlib_proc stdout.write.w.dec  ,<'stdout'#DOT#'write'#DOT#'w.dec'> ,4
fasmlib_proc stdout.write.d.dec  ,<'stdout'#DOT#'write'#DOT#'d.dec'> ,4
fasmlib_proc stdout.write.q.dec  ,<'stdout'#DOT#'write'#DOT#'q.dec'> ,8
fasmlib_proc stdout.write.ihex	 ,<'stdout'#DOT#'write'#DOT#'ihex'>    ,4
fasmlib_proc stdout.write.ib.hex ,<'stdout'#DOT#'write'#DOT#'ib.hex'> ,4
fasmlib_proc stdout.write.iw.hex ,<'stdout'#DOT#'write'#DOT#'iw.hex'> ,4
fasmlib_proc stdout.write.id.hex ,<'stdout'#DOT#'write'#DOT#'id.hex'> ,4
fasmlib_proc stdout.write.iq.hex ,<'stdout'#DOT#'write'#DOT#'iq.hex'> ,8
fasmlib_proc stdout.write.idec	 ,<'stdout'#DOT#'write'#DOT#'idec'>   ,4
fasmlib_proc stdout.write.ib.dec ,<'stdout'#DOT#'write'#DOT#'ib.dec'> ,4
fasmlib_proc stdout.write.iw.dec ,<'stdout'#DOT#'write'#DOT#'iw.dec'> ,4
fasmlib_proc stdout.write.id.dec ,<'stdout'#DOT#'write'#DOT#'id.dec'> ,4
fasmlib_proc stdout.write.iq.dec ,<'stdout'#DOT#'write'#DOT#'iq.dec'> ,8
fasmlib_proc stdout.extwrite.hex   ,<'stdout'#DOT#'extwrite'#DOT#'hex'>   ,12
fasmlib_proc stdout.extwrite.b.hex ,<'stdout'#DOT#'extwrite'#DOT#'b.hex'> ,12
fasmlib_proc stdout.extwrite.w.hex ,<'stdout'#DOT#'extwrite'#DOT#'w.hex'> ,12
fasmlib_proc stdout.extwrite.d.hex ,<'stdout'#DOT#'extwrite'#DOT#'d.hex'> ,12
fasmlib_proc stdout.extwrite.q.hex ,<'stdout'#DOT#'extwrite'#DOT#'q.hex'> ,16
fasmlib_proc stdout.extwrite.dec   ,<'stdout'#DOT#'extwrite'#DOT#'dec'>   ,12
fasmlib_proc stdout.extwrite.b.dec ,<'stdout'#DOT#'extwrite'#DOT#'b.dec'> ,12
fasmlib_proc stdout.extwrite.w.dec ,<'stdout'#DOT#'extwrite'#DOT#'w.dec'> ,12
fasmlib_proc stdout.extwrite.d.dec ,<'stdout'#DOT#'extwrite'#DOT#'d.dec'> ,12
fasmlib_proc stdout.extwrite.q.dec ,<'stdout'#DOT#'extwrite'#DOT#'q.dec'> ,16
fasmlib_proc stdout.extwrite.ihex   ,<'stdout'#DOT#'extwrite'#DOT#'ihex'>   ,16
fasmlib_proc stdout.extwrite.ib.hex ,<'stdout'#DOT#'extwrite'#DOT#'ib.hex'> ,16
fasmlib_proc stdout.extwrite.iw.hex ,<'stdout'#DOT#'extwrite'#DOT#'iw.hex'> ,16
fasmlib_proc stdout.extwrite.id.hex ,<'stdout'#DOT#'extwrite'#DOT#'id.hex'> ,16
fasmlib_proc stdout.extwrite.iq.hex ,<'stdout'#DOT#'extwrite'#DOT#'iq.hex'> ,20
fasmlib_proc stdout.extwrite.idec   ,<'stdout'#DOT#'extwrite'#DOT#'idec'>   ,16
fasmlib_proc stdout.extwrite.ib.dec ,<'stdout'#DOT#'extwrite'#DOT#'ib.dec'> ,16
fasmlib_proc stdout.extwrite.iw.dec ,<'stdout'#DOT#'extwrite'#DOT#'iw.dec'> ,16
fasmlib_proc stdout.extwrite.id.dec ,<'stdout'#DOT#'extwrite'#DOT#'id.dec'> ,16
fasmlib_proc stdout.extwrite.iq.dec ,<'stdout'#DOT#'extwrite'#DOT#'iq.dec'> ,20

;stderr
fasmlib_proc stderr.write	 ,<'stderr'#DOT#'write'>       ,4
fasmlib_proc stderr.write.char	 ,<'stderr'#DOT#'write'#DOT#'char'>  ,4
fasmlib_proc stderr.write.str	 ,<'stderr'#DOT#'write'#DOT#'str'>   ,8
fasmlib_proc stderr.write.format ,<'stderr'#DOT#'write'#DOT#'format'>,4
fasmlib_proc stderr.write.hex	 ,<'stderr'#DOT#'write'#DOT#'hex'>   ,4
fasmlib_proc stderr.write.b.hex  ,<'stderr'#DOT#'write'#DOT#'b.hex'> ,4
fasmlib_proc stderr.write.w.hex  ,<'stderr'#DOT#'write'#DOT#'w.hex'> ,4
fasmlib_proc stderr.write.d.hex  ,<'stderr'#DOT#'write'#DOT#'d.hex'> ,4
fasmlib_proc stderr.write.q.hex  ,<'stderr'#DOT#'write'#DOT#'q.hex'> ,8
fasmlib_proc stderr.write.dec	 ,<'stderr'#DOT#'write'#DOT#'dec'>   ,4
fasmlib_proc stderr.write.b.dec  ,<'stderr'#DOT#'write'#DOT#'b.dec'> ,4
fasmlib_proc stderr.write.w.dec  ,<'stderr'#DOT#'write'#DOT#'w.dec'> ,4
fasmlib_proc stderr.write.d.dec  ,<'stderr'#DOT#'write'#DOT#'d.dec'> ,4
fasmlib_proc stderr.write.q.dec  ,<'stderr'#DOT#'write'#DOT#'q.dec'> ,8
fasmlib_proc stderr.write.ihex	 ,<'stderr'#DOT#'write'#DOT#'ihex'>    ,4
fasmlib_proc stderr.write.ib.hex ,<'stderr'#DOT#'write'#DOT#'ib.hex'> ,4
fasmlib_proc stderr.write.iw.hex ,<'stderr'#DOT#'write'#DOT#'iw.hex'> ,4
fasmlib_proc stderr.write.id.hex ,<'stderr'#DOT#'write'#DOT#'id.hex'> ,4
fasmlib_proc stderr.write.iq.hex ,<'stderr'#DOT#'write'#DOT#'iq.hex'> ,8
fasmlib_proc stderr.write.idec	 ,<'stderr'#DOT#'write'#DOT#'idec'>   ,4
fasmlib_proc stderr.write.ib.dec ,<'stderr'#DOT#'write'#DOT#'ib.dec'> ,4
fasmlib_proc stderr.write.iw.dec ,<'stderr'#DOT#'write'#DOT#'iw.dec'> ,4
fasmlib_proc stderr.write.id.dec ,<'stderr'#DOT#'write'#DOT#'id.dec'> ,4
fasmlib_proc stderr.write.iq.dec ,<'stderr'#DOT#'write'#DOT#'iq.dec'> ,8
fasmlib_proc stderr.extwrite.hex   ,<'stderr'#DOT#'extwrite'#DOT#'hex'>   ,12
fasmlib_proc stderr.extwrite.b.hex ,<'stderr'#DOT#'extwrite'#DOT#'b.hex'> ,12
fasmlib_proc stderr.extwrite.w.hex ,<'stderr'#DOT#'extwrite'#DOT#'w.hex'> ,12
fasmlib_proc stderr.extwrite.d.hex ,<'stderr'#DOT#'extwrite'#DOT#'d.hex'> ,12
fasmlib_proc stderr.extwrite.q.hex ,<'stderr'#DOT#'extwrite'#DOT#'q.hex'> ,16
fasmlib_proc stderr.extwrite.dec   ,<'stderr'#DOT#'extwrite'#DOT#'dec'>   ,12
fasmlib_proc stderr.extwrite.b.dec ,<'stderr'#DOT#'extwrite'#DOT#'b.dec'> ,12
fasmlib_proc stderr.extwrite.w.dec ,<'stderr'#DOT#'extwrite'#DOT#'w.dec'> ,12
fasmlib_proc stderr.extwrite.d.dec ,<'stderr'#DOT#'extwrite'#DOT#'d.dec'> ,12
fasmlib_proc stderr.extwrite.q.dec ,<'stderr'#DOT#'extwrite'#DOT#'q.dec'> ,16
fasmlib_proc stderr.extwrite.ihex   ,<'stderr'#DOT#'extwrite'#DOT#'ihex'>   ,16
fasmlib_proc stderr.extwrite.ib.hex ,<'stderr'#DOT#'extwrite'#DOT#'ib.hex'> ,16
fasmlib_proc stderr.extwrite.iw.hex ,<'stderr'#DOT#'extwrite'#DOT#'iw.hex'> ,16
fasmlib_proc stderr.extwrite.id.hex ,<'stderr'#DOT#'extwrite'#DOT#'id.hex'> ,16
fasmlib_proc stderr.extwrite.iq.hex ,<'stderr'#DOT#'extwrite'#DOT#'iq.hex'> ,20
fasmlib_proc stderr.extwrite.idec   ,<'stderr'#DOT#'extwrite'#DOT#'idec'>   ,16
fasmlib_proc stderr.extwrite.ib.dec ,<'stderr'#DOT#'extwrite'#DOT#'ib.dec'> ,16
fasmlib_proc stderr.extwrite.iw.dec ,<'stderr'#DOT#'extwrite'#DOT#'iw.dec'> ,16
fasmlib_proc stderr.extwrite.id.dec ,<'stderr'#DOT#'extwrite'#DOT#'id.dec'> ,16
fasmlib_proc stderr.extwrite.iq.dec ,<'stderr'#DOT#'extwrite'#DOT#'iq.dec'> ,20

;stdin
fasmlib_proc stdin.read.char	  ,<'stdin'#DOT#'read'#DOT#'char'>	 ,0
fasmlib_proc stdin.read.line	  ,<'stdin'#DOT#'read'#DOT#'line'>	 ,8
fasmlib_proc stdin.read.chars	  ,<'stdin'#DOT#'read'#DOT#'chars'>	  ,12
fasmlib_proc stdin.read.until	  ,<'stdin'#DOT#'read'#DOT#'until'>	  ,12
fasmlib_proc stdin.read.hex	  ,<'stdin'#DOT#'read'#DOT#'hex'>	  ,0
fasmlib_proc stdin.read.hex.b	  ,<'stdin'#DOT#'read'#DOT#'hex.b'>	  ,0
fasmlib_proc stdin.read.hex.w	  ,<'stdin'#DOT#'read'#DOT#'hex.w'>	  ,0
fasmlib_proc stdin.read.hex.d	  ,<'stdin'#DOT#'read'#DOT#'hex.d'>	  ,0
fasmlib_proc stdin.read.hex.q	  ,<'stdin'#DOT#'read'#DOT#'hex.q'>	  ,0
fasmlib_proc stdin.read.dec	  ,<'stdin'#DOT#'read'#DOT#'dec'>	  ,0
fasmlib_proc stdin.read.dec.b	  ,<'stdin'#DOT#'read'#DOT#'dec.b'>	  ,0
fasmlib_proc stdin.read.dec.w	  ,<'stdin'#DOT#'read'#DOT#'dec.w'>	  ,0
fasmlib_proc stdin.read.dec.d	  ,<'stdin'#DOT#'read'#DOT#'dec.d'>	  ,0
fasmlib_proc stdin.read.dec.q	  ,<'stdin'#DOT#'read'#DOT#'dec.q'>	  ,0
fasmlib_proc stdin.fetch	  ,<'stdin'#DOT#'fetch'>		  ,4
fasmlib_proc stdin.fetch.str	  ,<'stdin'#DOT#'fetch'#DOT#'str'>	  ,8
fasmlib_proc stdin.fetch.char	  ,<'stdin'#DOT#'fetch'#DOT#'char'>	  ,4
fasmlib_proc stdin.skip.chars	  ,<'stdin'#DOT#'skip'#DOT#'chars'>	  ,4
fasmlib_proc stdin.skip.until	  ,<'stdin'#DOT#'skip'#DOT#'until'>	  ,4
fasmlib_proc stdin.extread.line      ,<'stdin'#DOT#'extread'#DOT#'line'>	,16
fasmlib_proc stdin.extread.chars     ,<'stdin'#DOT#'extread'#DOT#'chars'>	,20
fasmlib_proc stdin.extread.until     ,<'stdin'#DOT#'extread'#DOT#'until'>	,20
fasmlib_proc stdin.extread.hex	     ,<'stdin'#DOT#'extread'#DOT#'hex'> 	,12
fasmlib_proc stdin.extread.hex.b     ,<'stdin'#DOT#'extread'#DOT#'hex.b'>	,12
fasmlib_proc stdin.extread.hex.w     ,<'stdin'#DOT#'extread'#DOT#'hex.w'>	,12
fasmlib_proc stdin.extread.hex.d     ,<'stdin'#DOT#'extread'#DOT#'hex.d'>	,12
fasmlib_proc stdin.extread.hex.q     ,<'stdin'#DOT#'extread'#DOT#'hex.q'>	,12
fasmlib_proc stdin.extread.dec	     ,<'stdin'#DOT#'extread'#DOT#'dec'> 	,12
fasmlib_proc stdin.extread.dec.b     ,<'stdin'#DOT#'extread'#DOT#'dec.b'>	,12
fasmlib_proc stdin.extread.dec.w     ,<'stdin'#DOT#'extread'#DOT#'dec.w'>	,12
fasmlib_proc stdin.extread.dec.d     ,<'stdin'#DOT#'extread'#DOT#'dec.d'>	,12
fasmlib_proc stdin.extread.dec.q     ,<'stdin'#DOT#'extread'#DOT#'dec.q'>	,12
fasmlib_proc stdin.extskip.chars     ,<'stdin'#DOT#'extskip'#DOT#'chars'>	,8
fasmlib_proc stdin.extskip.until     ,<'stdin'#DOT#'extskip'#DOT#'until'>	,8

;fstream
fasmlib_proc file.open		     ,<'file'#DOT#'open'>,	8
fasmlib_proc file.extopen	     ,<'file'#DOT#'extopen'>,	28
fasmlib_proc file.create	     ,<'file'#DOT#'create'>,	12
fasmlib_proc file.extcreate	     ,<'file'#DOT#'extcreate'>, 32
fasmlib_proc file.append	     ,<'file'#DOT#'append'>,	12
fasmlib_proc file.extappend	     ,<'file'#DOT#'extappend'>, 32
fasmlib_proc file.open.handle	     ,<'file'#DOT#'open'#DOT#'handle'>,      8
fasmlib_proc file.extopen.handle     ,<'file'#DOT#'extopen'#DOT#'handle'>,   28
fasmlib_proc file.write 	     ,<'file'#DOT#'write'>	       ,12
fasmlib_proc file.write.byte	     ,<'file'#DOT#'write'#DOT#'byte'>  ,8
fasmlib_proc file.write.word	     ,<'file'#DOT#'write'#DOT#'word'>  ,8
fasmlib_proc file.write.dword	     ,<'file'#DOT#'write'#DOT#'dword'> ,8
fasmlib_proc file.read		     ,<'file'#DOT#'read'>	       ,12
fasmlib_proc file.read.byte	     ,<'file'#DOT#'read'#DOT#'byte'>   ,4
fasmlib_proc file.peek		     ,<'file'#DOT#'peek'>	       ,12
fasmlib_proc file.peek.byte	     ,<'file'#DOT#'peek'#DOT#'byte'>   ,4
fasmlib_proc file.seek		     ,<'file'#DOT#'seek'>	       ,16
fasmlib_proc file.tell		     ,<'file'#DOT#'tell'>	       ,4
fasmlib_proc file.close 	     ,<'file'#DOT#'close'>	       ,4

;mstream
fasmlib_proc mstream.create	     ,<'mstream'#DOT#'create'>, 	8
fasmlib_proc mstream.extcreate	     ,<'mstream'#DOT#'extcreate'>,	12