fasmlib.init	PROTO
fasmlib.uninit	PROTO
fasmlib.shutdown PROTO
err.text	PROTO errcode:DWORD

process.exit	PROTO exitcode:DWORD

fileio.open	PROTO name.:PTR BYTE, mode:DWORD
fileio.create	PROTO name.:PTR BYTE, overwr:DWORD, mode:DWORD
fileio.append	PROTO name.:PTR BYTE, overwr:DWORD, mode:DWORD
fileio.seek	PROTO handle:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
fileio.tell	PROTO handle:DWORD
fileio.size	PROTO handle:DWORD
fileio.read	PROTO handle:DWORD, buffer:PTR BYTE, count:DWORD
fileio.write	PROTO handle:DWORD, buffer:PTR BYTE, count:DWORD
fileio.close	PROTO handle:DWORD

mem.init	PROTO 
mem.uninit	PROTO 
mem.alloc	PROTO size.:DWORD
mem.alloc0	PROTO size.:DWORD
mem.free	PROTO blockptr:PTR BYTE
mem.realloc	PROTO blockptr:PTR BYTE, newsize.:DWORD
mem.realloc0	PROTO blockptr:PTR BYTE, newsize.:DWORD
mem.size	PROTO blockptr:PTR BYTE
mem.fill	PROTO dest:PTR BYTE, value:DWORD, size.:DWORD
mem.copy	PROTO dest:PTR BYTE, src:PTR BYTE, size.:DWORD
mem.cmp 	PROTO block1:PTR BYTE, block2:PTR BYTE, size.:DWORD
mem.find	PROTO block:PTR BYTE, blocksize:DWORD, pattern:PTR BYTE, patternsize:DWORD
mem.findb	PROTO block:PTR BYTE, blocksize:DWORD, .byte:DWORD

str.copy	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD
str.cat 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD
str.catchar	PROTO string:PTR BYTE, buflen:DWORD, char:DWORD
str.ins 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD, pos:DWORD
str.inschar	PROTO dest:PTR BYTE, destlen:DWORD, char:DWORD, pos:DWORD
str.sub 	PROTO dest:PTR BYTE, destlen:DWORD, src:PTR BYTE, srclen:DWORD, index:DWORD, len:DWORD
str.lowcase	PROTO string:PTR BYTE, buflen:DWORD
str.upcase	PROTO string:PTR BYTE, buflen:DWORD
str.len 	PROTO string:PTR BYTE, buflen:DWORD
str.cmp 	PROTO str1:DWORD, str1len:DWORD, str2:DWORD, str2len:DWORD
str.cmpi	PROTO str1:DWORD, str1len:DWORD, str2:DWORD, str2len:DWORD
str.pos 	PROTO string:PTR BYTE, buflen:DWORD, pattern:DWORD, patlen:DWORD
str.poschar	PROTO string:PTR BYTE, buflen:DWORD, char:DWORD

conv.b.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.w.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.d.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.q.hex	PROTO dest:PTR BYTE, destlen:DWORD, valuelow:DWORD, valuehigh:DWORD
conv.b.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.w.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.d.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.q.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv.ib.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.iw.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.id.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.iq.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv.ib.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.iw.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.id.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD
conv.iq.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD
conv.hex.b	PROTO string:PTR BYTE, strlen:DWORD
conv.hex.w	PROTO string:PTR BYTE, strlen:DWORD
conv.hex.d	PROTO string:PTR BYTE, strlen:DWORD
conv.hex.q	PROTO string:PTR BYTE, strlen:DWORD
conv.dec.b	PROTO string:PTR BYTE, strlen:DWORD
conv.dec.w	PROTO string:PTR BYTE, strlen:DWORD
conv.dec.d	PROTO string:PTR BYTE, strlen:DWORD
conv.dec.q	PROTO string:PTR BYTE, strlen:DWORD
extconv.b.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.w.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.d.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.q.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.b.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.w.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.d.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.q.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, len:PTR DWORD
extconv.ib.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.iw.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.id.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.iq.hex	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.ib.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.iw.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.id.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.iq.dec	PROTO dest:PTR BYTE, destlen:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD, len:PTR DWORD
extconv.hex.b	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.hex.w	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.hex.d	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.hex.q	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.dec.b	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.dec.w	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.dec.d	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD
extconv.dec.q	PROTO string:PTR BYTE, strlen:DWORD, len:PTR DWORD

stdstream.init		PROTO
stdstream.uninit	PROTO
stream.create		PROTO objbuf:PTR DWORD, size.:DWORD, vtab:DWORD, \
			      writebuf:DWORD, wbuflen:DWORD, \
			      readbuf:DWORD, rbuflen:DWORD
stream.write		PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
stream.write.byte	PROTO stream:DWORD, value:DWORD
stream.write.word	PROTO stream:DWORD, value:DWORD
stream.write.dword	PROTO stream:DWORD, value:DWORD
stream.read		PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
stream.read.byte	PROTO stream:DWORD
stream.peek		PROTO stream:DWORD, count:DWORD, readlen:PTR DWORD
stream.peek.byte	PROTO stream:DWORD
stream.tell		PROTO stream:DWORD
stream.skip		PROTO stream:DWORD, count:DWORD
stream.seek		PROTO stream:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
stream.close		PROTO stream:DWORD

EXTERNDEF	stdin:NEAR
EXTERNDEF	stdout:NEAR
EXTERNDEF	stderr:NEAR

text.write		PROTO stream:DWORD, string:PTR BYTE
text.write.char 	PROTO stream:DWORD, char:DWORD
text.write.str		PROTO stream:DWORD, string:PTR BYTE, buflen:DWORD
text.write.format	PROTO stream:DWORD, formatstr:PTR BYTE
text.write.hex		PROTO stream:DWORD, value:DWORD
text.write.b.hex	PROTO stream:DWORD, value:DWORD
text.write.w.hex	PROTO stream:DWORD, value:DWORD
text.write.d.hex	PROTO stream:DWORD, value:DWORD
text.write.q.hex	PROTO stream:DWORD, value:QWORD
text.write.dec		PROTO stream:DWORD, value:DWORD
text.write.b.dec	PROTO stream:DWORD, value:DWORD
text.write.w.dec	PROTO stream:DWORD, value:DWORD
text.write.d.dec	PROTO stream:DWORD, value:DWORD
text.write.q.dec	PROTO stream:DWORD, value:QWORD
text.write.ihex 	PROTO stream:DWORD, value:DWORD
text.write.ib.hex	PROTO stream:DWORD, value:DWORD
text.write.iw.hex	PROTO stream:DWORD, value:DWORD
text.write.id.hex	PROTO stream:DWORD, value:DWORD
text.write.iq.hex	PROTO stream:DWORD, value:QWORD
text.write.idec 	PROTO stream:DWORD, value:DWORD
text.write.ib.dec	PROTO stream:DWORD, value:DWORD
text.write.iw.dec	PROTO stream:DWORD, value:DWORD
text.write.id.dec	PROTO stream:DWORD, value:DWORD
text.write.iq.dec	PROTO stream:DWORD, value:QWORD
text.read.char		PROTO stream:DWORD
text.read.chars 	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
text.read.until 	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
text.read.line		PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD
text.read.hex		PROTO stream:DWORD
text.read.hex.b 	PROTO stream:DWORD
text.read.hex.w 	PROTO stream:DWORD
text.read.hex.d 	PROTO stream:DWORD
text.read.hex.q 	PROTO stream:DWORD
text.read.dec		PROTO stream:DWORD
text.read.dec.b 	PROTO stream:DWORD
text.read.dec.w 	PROTO stream:DWORD
text.read.dec.d 	PROTO stream:DWORD
text.read.dec.q 	PROTO stream:DWORD
text.fetch		PROTO stream:DWORD, string:PTR BYTE
text.fetch.str		PROTO stream:DWORD, string:PTR BYTE, buflen:DWORD
text.fetch.char 	PROTO stream:DWORD, char:DWORD
text.skip.chars 	PROTO stream:DWORD, charlist:PTR BYTE
text.skip.until 	PROTO stream:DWORD, charlist:PTR BYTE
text.extwrite.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.b.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.w.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.d.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.q.hex	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD
text.extwrite.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.b.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.w.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.d.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD
text.extwrite.q.dec	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD
text.extwrite.ihex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.ib.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.iw.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.id.hex	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.iq.hex	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.idec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.ib.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.iw.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.id.dec	PROTO stream:DWORD, value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extwrite.iq.dec	PROTO stream:DWORD, value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
text.extread.chars	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:DWORD
text.extread.until	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:DWORD
text.extread.line	PROTO stream:DWORD, buffer:PTR BYTE, buflen:DWORD, maxlen:DWORD, len:DWORD
text.extread.hex	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.hex.b	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.hex.w	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.hex.d	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.hex.q	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.dec	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.dec.b	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.dec.w	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.dec.d	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extread.dec.q	PROTO stream:DWORD, maxlen:DWORD, len:DWORD, skipbl:DWORD
text.extskip.chars	PROTO stream:DWORD, charlist:PTR BYTE, maxlen:DWORD
text.extskip.until	PROTO stream:DWORD, charlist:PTR BYTE, maxlen:DWORD

;-----------------------------------------------------------------------------
; stdout
stdout.write		  PROTO string:PTR BYTE
stdout.write.char	  PROTO char:DWORD
stdout.write.str	  PROTO string:PTR BYTE, buflen:DWORD
stdout.write.format	  PROTO formatstr:PTR BYTE
stdout.write.hex	  PROTO value:DWORD
stdout.write.b.hex	  PROTO value:DWORD
stdout.write.w.hex	  PROTO value:DWORD
stdout.write.d.hex	  PROTO value:DWORD
stdout.write.q.hex	  PROTO value:QWORD
stdout.write.dec	  PROTO value:DWORD
stdout.write.b.dec	  PROTO value:DWORD
stdout.write.w.dec	  PROTO value:DWORD
stdout.write.d.dec	  PROTO value:DWORD
stdout.write.q.dec	  PROTO value:QWORD
stdout.write.ihex	  PROTO value:DWORD
stdout.write.ib.hex	  PROTO value:DWORD
stdout.write.iw.hex	  PROTO value:DWORD
stdout.write.id.hex	  PROTO value:DWORD
stdout.write.iq.hex	  PROTO value:QWORD
stdout.write.idec	  PROTO value:DWORD
stdout.write.ib.dec	  PROTO value:DWORD
stdout.write.iw.dec	  PROTO value:DWORD
stdout.write.id.dec	  PROTO value:DWORD
stdout.write.iq.dec	  PROTO value:QWORD
stdout.extwrite.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.b.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.w.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.d.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.q.hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.b.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.w.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.d.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.q.dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stdout.extwrite.ihex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.ib.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.iw.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.id.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.iq.hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.idec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.ib.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.iw.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.id.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stdout.extwrite.iq.dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD

;-----------------------------------------------------------------------------
;stderr
stderr.write		  PROTO string:PTR BYTE
stderr.write.char	  PROTO char:DWORD
stderr.write.str	  PROTO string:PTR BYTE, buflen:DWORD
stderr.write.format	  PROTO formatstr:PTR BYTE
stderr.write.hex	  PROTO value:DWORD
stderr.write.b.hex	  PROTO value:DWORD
stderr.write.w.hex	  PROTO value:DWORD
stderr.write.d.hex	  PROTO value:DWORD
stderr.write.q.hex	  PROTO value:QWORD
stderr.write.dec	  PROTO value:DWORD
stderr.write.b.dec	  PROTO value:DWORD
stderr.write.w.dec	  PROTO value:DWORD
stderr.write.d.dec	  PROTO value:DWORD
stderr.write.q.dec	  PROTO value:QWORD
stderr.write.ihex	  PROTO value:DWORD
stderr.write.ib.hex	  PROTO value:DWORD
stderr.write.iw.hex	  PROTO value:DWORD
stderr.write.id.hex	  PROTO value:DWORD
stderr.write.iq.hex	  PROTO value:QWORD
stderr.write.idec	  PROTO value:DWORD
stderr.write.ib.dec	  PROTO value:DWORD
stderr.write.iw.dec	  PROTO value:DWORD
stderr.write.id.dec	  PROTO value:DWORD
stderr.write.iq.dec	  PROTO value:QWORD
stderr.extwrite.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.b.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.w.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.d.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.q.hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.b.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.w.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.d.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.q.dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD
stderr.extwrite.ihex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.ib.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.iw.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.id.hex	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.iq.hex	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.idec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.ib.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.iw.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.id.dec	  PROTO value:DWORD, padding:DWORD, padlen:DWORD, plus:DWORD
stderr.extwrite.iq.dec	  PROTO value:QWORD, padding:DWORD, padlen:DWORD, plus:DWORD

;-----------------------------------------------------------------------------
; stdin
stdin.read.char 	  PROTO
stdin.read.line 	  PROTO buffer:PTR BYTE, buflen:DWORD
stdin.read.until	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
stdin.read.chars	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE
stdin.read.hex		  PROTO
stdin.read.hex.b	  PROTO
stdin.read.hex.w	  PROTO
stdin.read.hex.d	  PROTO
stdin.read.hex.q	  PROTO
stdin.read.dec		  PROTO
stdin.read.dec.b	  PROTO
stdin.read.dec.w	  PROTO
stdin.read.dec.d	  PROTO
stdin.read.dec.q	  PROTO
stdin.fetch		  PROTO string:PTR BYTE
stdin.fetch.str 	  PROTO string:PTR BYTE, buflen:DWORD
stdin.fetch.char	  PROTO char:DWORD
stdin.skip.chars	  PROTO charlist:PTR BYTE
stdin.skip.until	  PROTO charlist:PTR BYTE
stdin.extread.line	  PROTO buffer:PTR BYTE, buflen:DWORD, maxlen:DWORD, len:PTR DWORD
stdin.extread.until	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:PTR DWORD
stdin.extread.chars	  PROTO buffer:PTR BYTE, buflen:DWORD, charlist:PTR BYTE, maxlen:DWORD, len:PTR DWORD
stdin.extread.hex	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.hex.b	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.hex.w	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.hex.d	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.hex.q	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.dec	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.dec.b	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.dec.w	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.dec.d	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extread.dec.q	  PROTO maxlen:DWORD, skipbl:DWORD, len:PTR DWORD
stdin.extskip.chars	  PROTO charlist:PTR BYTE, maxlen:DWORD
stdin.extskip.until	  PROTO charlist:PTR BYTE, maxlen:DWORD

;fstream
file.open	PROTO name.:PTR BYTE, mode:DWORD
file.extopen	PROTO objbuf:PTR DWORD, name.:PTR BYTE, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file.create	PROTO name.:PTR BYTE, overwr:DWORD, mode:DWORD
file.extcreate	PROTO objbuf:PTR DWORD, name.:PTR BYTE, overwr:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file.append	PROTO name.:PTR BYTE, create:DWORD, mode:DWORD
file.extappend	PROTO objbuf:PTR DWORD, name.:PTR BYTE, create:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file.open.handle    PROTO handle:DWORD, mode:DWORD
file.extopen.handle PROTO objbuf:PTR DWORD, handle:DWORD, mode:DWORD, wbuf:PTR BYTE, wbuflen:DWORD, rbuf:PTR BYTE, rbuflen:DWORD
file.write	      PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
file.write.byte       PROTO stream:DWORD, value:DWORD
file.write.word       PROTO stream:DWORD, value:DWORD
file.write.dword      PROTO stream:DWORD, value:DWORD
file.read	      PROTO stream:DWORD, buffer:PTR BYTE, count:DWORD
file.read.byte	      PROTO stream:DWORD
file.peek	      PROTO stream:DWORD, count:DWORD, readlen:PTR DWORD
file.peek.byte	      PROTO stream:DWORD
file.tell	      PROTO stream:DWORD
file.skip	      PROTO stream:DWORD, count:DWORD
file.seek	      PROTO stream:DWORD, distlow:DWORD, disthigh:DWORD, mode:DWORD
file.close	      PROTO stream:DWORD

;mstream
mstream.create	  PROTO buffer:PTR BYTE, bufsz:DWORD
mstream.extcreate PROTO objbuf:PTR DWORD, buffer:PTR BYTE, bufsz:DWORD